--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

--
-- Name: bond_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE bond_mode AS ENUM (
    'active-backup',
    'balance-slb',
    'lacp-balance-tcp'
);


ALTER TYPE public.bond_mode OWNER TO nailgun;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'stopped',
    'operational',
    'error',
    'remove',
    'update',
    'update_error'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs',
    'nsx'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: network_group_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE network_group_name AS ENUM (
    'fuelweb_admin',
    'storage',
    'management',
    'public',
    'fixed',
    'private'
);


ALTER TYPE public.network_group_name OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning',
    'release'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks',
    'interfaces'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'not_available',
    'downloading',
    'error',
    'available'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'stop_deployment',
    'reset_environment',
    'update',
    'node_deletion',
    'cluster_deletion',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'multicast_verification',
    'dump',
    'capacity_log'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: alembic_version; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE alembic_version (
    version_num character varying(32) NOT NULL
);


ALTER TABLE public.alembic_version OWNER TO nailgun;

--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    grouping cluster_grouping NOT NULL,
    name character varying(50) NOT NULL,
    release_id integer NOT NULL,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean,
    fuel_version text NOT NULL,
    pending_release_id integer
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first character varying(25) NOT NULL,
    last character varying(25) NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr character varying(25) NOT NULL
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: net_bond_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_bond_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    bond_id integer NOT NULL
);


ALTER TABLE public.net_bond_assignments OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_bond_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_bond_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_bond_assignments_id_seq OWNED BY net_bond_assignments.id;


--
-- Name: net_nic_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_nic_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_nic_assignments OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_nic_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.net_nic_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_nic_assignments_id_seq OWNED BY net_nic_assignments.id;


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name network_group_name NOT NULL,
    release integer,
    cluster_id integer,
    vlan_start integer,
    cidr character varying(25),
    gateway character varying(25),
    meta text
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: networking_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE networking_configs (
    id integer NOT NULL,
    discriminator character varying(50),
    cluster_id integer,
    dns_nameservers text,
    floating_ranges text
);


ALTER TABLE public.networking_configs OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE networking_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.networking_configs_id_seq OWNER TO nailgun;

--
-- Name: networking_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE networking_configs_id_seq OWNED BY networking_configs.id;


--
-- Name: neutron_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_config (
    id integer NOT NULL,
    vlan_range text,
    gre_id_range text,
    base_mac character varying NOT NULL,
    internal_cidr character varying(25),
    internal_gateway character varying(25),
    segmentation_type segmentation_type NOT NULL,
    net_l23_provider net_l23_provider NOT NULL
);


ALTER TABLE public.neutron_config OWNER TO nailgun;

--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    volumes text,
    interfaces text
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_bond_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_bond_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(32) NOT NULL,
    mac character varying,
    state character varying(25),
    flags text,
    mode bond_mode NOT NULL
);


ALTER TABLE public.node_bond_interfaces OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_bond_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_bond_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_bond_interfaces_id_seq OWNED BY node_bond_interfaces.id;


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac character varying NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr character varying(25),
    netmask character varying(25),
    state character varying(25),
    parent_id integer
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.node_roles OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.node_roles_id_seq OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_roles_id_seq OWNED BY node_roles.id;


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    uuid character varying(36) NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac character varying NOT NULL,
    ip character varying(15),
    fqdn character varying(255),
    manufacturer character varying(50),
    platform_name character varying(150),
    kernel_params text,
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean,
    agent_checksum character varying(40),
    replaced_deployment_info text,
    replaced_provisioning_info text
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: nova_network_config; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nova_network_config (
    id integer NOT NULL,
    fixed_networks_cidr character varying(25),
    fixed_networks_vlan_start integer,
    fixed_network_size integer NOT NULL,
    fixed_networks_amount integer NOT NULL,
    net_manager cluster_net_manager NOT NULL
);


ALTER TABLE public.nova_network_config OWNER TO nailgun;

--
-- Name: pending_node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE pending_node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.pending_node_roles OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE pending_node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.pending_node_roles_id_seq OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE pending_node_roles_id_seq OWNED BY pending_node_roles.id;


--
-- Name: release_orchestrator_data; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE release_orchestrator_data (
    id integer NOT NULL,
    release_id integer NOT NULL,
    repo_metadata text NOT NULL,
    puppet_manifests_source text NOT NULL,
    puppet_modules_source text NOT NULL
);


ALTER TABLE public.release_orchestrator_data OWNER TO nailgun;

--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE release_orchestrator_data_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.release_orchestrator_data_id_seq OWNER TO nailgun;

--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE release_orchestrator_data_id_seq OWNED BY release_orchestrator_data.id;


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text,
    can_update_from_versions text DEFAULT '[]'::text NOT NULL,
    wizard_metadata text
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE roles (
    id integer NOT NULL,
    release_id integer NOT NULL,
    name character varying(50) NOT NULL
);


ALTER TABLE public.roles OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.roles_id_seq OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE roles_id_seq OWNED BY roles.id;


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments ALTER COLUMN id SET DEFAULT nextval('net_bond_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments ALTER COLUMN id SET DEFAULT nextval('net_nic_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs ALTER COLUMN id SET DEFAULT nextval('networking_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces ALTER COLUMN id SET DEFAULT nextval('node_bond_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles ALTER COLUMN id SET DEFAULT nextval('node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles ALTER COLUMN id SET DEFAULT nextval('pending_node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_orchestrator_data ALTER COLUMN id SET DEFAULT nextval('release_orchestrator_data_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles ALTER COLUMN id SET DEFAULT nextval('roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Data for Name: alembic_version; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY alembic_version (version_num) FROM stdin;
52924111f7d8
\.


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
1	1	{"additional_components": {"murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "kernel_params": {"kernel": {"weight": 45, "type": "text", "description": "Default kernel parameters", "value": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'"], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "ephemeral_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "type": "checkbox"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "volumes_vmdk": {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or settings:storage.volumes_lvm.value == true"], "description": "Configures Cinder to store volumes via VMware vCenter.", "weight": 15, "value": false, "label": "VMware vCenter for volumes (Cinder)", "type": "checkbox"}, "osd_pool_size": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "images_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}}, "syslog": {"syslog_port": {"value": "514", "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "tcp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "zabbix": {"username": {"value": "admin", "type": "text", "description": "Username for Zabbix Administrator", "weight": 10, "label": "username"}, "password": {"value": "zabbix", "type": "password", "description": "Password for Zabbix Administrator", "weight": 20, "label": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}}, "nsx_plugin": {"nsx_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 30, "value": "", "label": "NSX password", "type": "password"}, "nsx_username": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "NSX administrator's username", "weight": 20, "value": "admin", "label": "NSX username", "type": "text"}, "connector_type": {"description": "Default network transport type to use", "weight": 80, "value": "stt", "label": "NSX connector type", "values": [{"data": "gre", "label": "GRE"}, {"data": "ipsec_gre", "label": "GRE over IPSec"}, {"data": "stt", "label": "STT"}, {"data": "ipsec_stt", "label": "STT over IPSec"}, {"data": "bridge", "label": "Bridge"}], "type": "dropdown"}, "packages_url": {"regex": {"source": "^https?://(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(/.*)?$", "error": "Invalid URL, specify valid HTTP/HTTPS URL with IPv4 address (e.g. http://10.20.0.2/nsx)"}, "description": "URL to NSX specific packages", "weight": 70, "value": "", "label": "URL to NSX bits", "type": "text"}, "nsx_controllers": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(,(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?)*$", "error": "Invalid controller endpoints, specify valid IPv4[:port] pair"}, "description": "One or more IPv4[:port] addresses of NSX controller node, separated by comma (e.g. 10.30.30.2,192.168.110.254:443)", "weight": 60, "value": "", "label": "NSX controller endpoint", "type": "text"}, "l3_gw_service_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid L3 gateway service UUID"}, "description": "UUID for the default L3 gateway service to use with this cluster", "weight": 50, "value": "", "label": "L3 service UUID", "type": "text"}, "transport_zone_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid transport zone UUID"}, "description": "UUID of the pre-existing default NSX Transport zone", "weight": 40, "value": "", "label": "Transport zone UUID", "type": "text"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "plugin": {"values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type? == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "type": "radio", "weight": 60, "value": "disabled", "label": "Mellanox drivers and SR-IOV plugin"}, "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "vcenter": {"use_vcenter": {"value": true, "type": "hidden", "description": "", "weight": 5, "label": ""}, "vc_user": {"value": "", "type": "text", "description": "vCenter admin username", "weight": 20, "label": "Username"}, "host_ip": {"value": "", "type": "text", "description": "IP Address of vCenter", "weight": 10, "label": "vCenter IP"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "Invalid cluster list"}, "description": "vCenter cluster name. If you have multiple clusters, use comma to separate names", "weight": 40, "value": "", "label": "Cluster", "type": "text"}, "vc_password": {"value": "", "type": "password", "description": "vCenter admin password", "weight": 30, "label": "Password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "corosync": {"group": {"value": "226.94.1.1", "type": "text", "description": "", "weight": 10, "label": "Group"}, "verified": {"value": false, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "weight": 10, "label": "Need to pass network verification."}, "port": {"value": "12000", "type": "text", "description": "", "weight": 20, "label": "Port"}, "metadata": {"weight": 50, "label": "Corosync"}}, "common": {"auto_assign_floating_ip": {"restrictions": ["cluster:net_provider == 'neutron'"], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 70, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 40, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or cluster:net_provider == 'neutron'"], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "type": "radio", "value": "kvm", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "debug": {"value": false, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}, "nova_quota": {"value": false, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "weight": 25, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}, "keystone": {"admin_password": "4MkUXgHb"}, "database": {"passwd": "NoHxdke9"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F"}, "swift": {"user_password": "Bm1n4crF"}, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "rabbit_password": "nyj0icRJ"}, "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "zabbix": {"db_password": "GPxCJ9yx", "db_root_password": "32VWkK6i"}, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "rabbit": {"password": "qKwSWl12"}, "mysql": {"root_password": "h9mvp8kL"}, "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ"}, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "rabbit_password": "F8AN1FFS"}, "glance": {"db_password": "GNFYRlNe", "user_password": "mHAi3yDp"}}
\.


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 1, true);


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
1	1	\N	attributes
2	1	\N	networks
3	1	1	interfaces
4	1	1	disks
5	1	8	interfaces
6	1	8	disks
7	1	9	interfaces
8	1	9	disks
9	1	2	interfaces
10	1	2	disks
11	1	3	interfaces
12	1	3	disks
13	1	4	interfaces
14	1	4	disks
15	1	5	interfaces
16	1	5	disks
17	1	6	interfaces
18	1	6	disks
19	1	7	interfaces
20	1	7	disks
21	1	10	interfaces
22	1	10	disks
23	1	11	interfaces
24	1	11	disks
25	1	12	interfaces
26	1	12	disks
27	1	13	interfaces
28	1	13	disks
29	1	14	interfaces
30	1	14	disks
31	1	15	interfaces
32	1	15	disks
33	1	16	interfaces
34	1	16	disks
35	1	17	interfaces
36	1	17	disks
37	1	18	interfaces
38	1	18	disks
39	1	19	interfaces
40	1	19	disks
41	1	20	interfaces
42	1	20	disks
\.


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 42, true);


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, grouping, name, release_id, replaced_deployment_info, replaced_provisioning_info, is_customized, fuel_version, pending_release_id) FROM stdin;
1	ha_compact	error	neutron	roles	test	2	{}	{}	f	5.1	\N
\.


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 1, true);


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.20.0.3	10.20.0.127
10	2	172.16.44.100	172.16.44.126
12	3	192.168.0.2	192.168.0.254
14	4	192.168.1.2	192.168.1.254
\.


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 14, true);


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr) FROM stdin;
1	1	\N	10.20.0.2
86	2	\N	172.16.44.100
87	3	\N	192.168.0.2
88	3	1	192.168.0.3
89	3	2	192.168.0.4
6	1	1	10.20.0.3
7	1	2	10.20.0.4
8	1	3	10.20.0.5
9	1	4	10.20.0.6
10	1	5	10.20.0.7
11	1	6	10.20.0.8
12	1	7	10.20.0.9
13	1	8	10.20.0.10
14	1	9	10.20.0.11
15	1	10	10.20.0.12
16	1	11	10.20.0.13
17	1	12	10.20.0.14
18	1	13	10.20.0.15
19	1	14	10.20.0.16
20	1	15	10.20.0.17
21	1	16	10.20.0.18
22	1	17	10.20.0.19
23	1	18	10.20.0.20
24	1	19	10.20.0.21
25	1	20	10.20.0.22
90	3	3	192.168.0.5
91	3	4	192.168.0.6
92	3	5	192.168.0.7
93	3	6	192.168.0.8
94	3	7	192.168.0.9
95	3	8	192.168.0.10
96	3	9	192.168.0.11
97	3	10	192.168.0.12
98	3	11	192.168.0.13
99	3	12	192.168.0.14
100	3	13	192.168.0.15
101	3	14	192.168.0.16
102	3	15	192.168.0.17
103	3	16	192.168.0.18
104	3	17	192.168.0.19
105	3	18	192.168.0.20
106	3	19	192.168.0.21
107	3	20	192.168.0.22
108	2	1	172.16.44.101
109	2	2	172.16.44.102
110	2	3	172.16.44.103
111	2	4	172.16.44.104
112	2	5	172.16.44.105
113	2	6	172.16.44.106
114	2	7	172.16.44.107
115	2	8	172.16.44.108
116	2	9	172.16.44.109
117	2	10	172.16.44.110
118	2	11	172.16.44.111
119	2	12	172.16.44.112
120	2	13	172.16.44.113
121	2	14	172.16.44.114
122	2	15	172.16.44.115
123	2	16	172.16.44.116
124	2	17	172.16.44.117
125	2	18	172.16.44.118
126	2	19	172.16.44.119
127	2	20	172.16.44.120
128	4	1	192.168.1.2
129	4	2	192.168.1.3
130	4	3	192.168.1.4
131	4	4	192.168.1.5
132	4	5	192.168.1.6
133	4	6	192.168.1.7
134	4	7	192.168.1.8
135	4	8	192.168.1.9
136	4	9	192.168.1.10
137	4	10	192.168.1.11
138	4	11	192.168.1.12
139	4	12	192.168.1.13
140	4	13	192.168.1.14
141	4	14	192.168.1.15
142	4	15	192.168.1.16
143	4	16	192.168.1.17
144	4	17	192.168.1.18
145	4	18	192.168.1.19
146	4	19	192.168.1.20
147	4	20	192.168.1.21
\.


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 147, true);


--
-- Data for Name: net_bond_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_bond_assignments (id, network_id, bond_id) FROM stdin;
\.


--
-- Name: net_bond_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_bond_assignments_id_seq', 1, false);


--
-- Data for Name: net_nic_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_nic_assignments (id, network_id, interface_id) FROM stdin;
81	2	4
82	1	2
83	4	2
84	3	2
85	2	8
86	1	6
87	4	6
88	3	6
89	2	12
90	1	10
91	4	10
92	3	10
93	2	16
94	1	14
95	4	14
96	3	14
97	2	20
98	1	18
99	4	18
100	3	18
101	2	24
102	1	22
103	4	22
104	3	22
105	2	28
106	1	26
107	4	26
108	3	26
109	2	32
110	1	30
111	4	30
112	3	30
113	2	36
114	1	34
115	4	34
116	3	34
117	2	40
118	1	38
119	4	38
120	3	38
121	2	44
122	1	42
123	4	42
124	3	42
125	2	48
126	1	46
127	4	46
128	3	46
129	2	52
130	1	50
131	4	50
132	3	50
133	2	56
134	1	54
135	4	54
136	3	54
137	2	60
138	1	58
139	4	58
140	3	58
141	2	64
142	1	62
143	4	62
144	3	62
145	2	68
146	1	66
147	4	66
148	3	66
149	2	72
150	1	70
151	4	70
152	3	70
153	2	76
154	1	74
155	4	74
156	3	74
157	2	80
158	1	78
159	4	78
160	3	78
\.


--
-- Name: net_nic_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_nic_assignments_id_seq', 160, true);


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, cluster_id, vlan_start, cidr, gateway, meta) FROM stdin;
1	fuelweb_admin	\N	\N	\N	10.20.0.0/24	\N	{"notation": "cidr", "render_type": null, "assign_vip": false, "configurable": false, "unmovable": true, "use_gateway": false, "render_addr_mask": null, "map_priority": 0}
2	public	2	1	\N	172.16.44.0/22	172.16.44.1	{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}
3	management	2	1	100	192.168.0.0/24	\N	{"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}
4	storage	2	1	101	192.168.1.0/24	\N	{"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}
\.


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 4, true);


--
-- Data for Name: networking_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY networking_configs (id, discriminator, cluster_id, dns_nameservers, floating_ranges) FROM stdin;
1	neutron_config	1	["8.8.4.4", "8.8.8.8"]	[["172.16.44.127", "172.16.44.150"]]
\.


--
-- Name: networking_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('networking_configs_id_seq', 1, true);


--
-- Data for Name: neutron_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_config (id, vlan_range, gre_id_range, base_mac, internal_cidr, internal_gateway, segmentation_type, net_l23_provider) FROM stdin;
1	[1000, 1030]	[2, 65535]	fa:16:3e:00:00:00	192.168.111.0/24	192.168.111.1	gre	ovs
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, volumes, interfaces) FROM stdin;
2	2	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b955364", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408200XF080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408200XF080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50065ed258e", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1APXM", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1APXM"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
3	3	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b942d66", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL4066001T080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL4066001T080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064e16328", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0QEDT", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0QEDT"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "sdb", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
1	1	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b957126", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408400UW080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408400UW080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x50014ee601dc01e2", "disk/by-id/scsi-SATA_WDC_WD7500BPKT-_WD-WX11E91HM567", "disk/by-id/ata-WDC_WD7500BPKT-00PK4T0_WD-WX11E91HM567"], "free_space": 714776, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 714776}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 715404}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "image"}]	{}
9	9	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b955650", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408201K5080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408201K5080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x50014ee657312a35", "disk/by-id/scsi-SATA_WDC_WD7500BPKT-_WD-WX11E91HM361", "disk/by-id/ata-WDC_WD7500BPKT-00PK4T0_WD-WX11E91HM361"], "free_space": 714776, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 714776}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 715404}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "image"}]	{}
10	10	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b95558d", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408201DQ080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408201DQ080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c5006674709b", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1NKZK", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1NKZK"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
6	6	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b9554f4", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL40820197080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL40820197080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c5006678b1f5", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1PDQK", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1PDQK"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "sdb", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
5	5	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b99395d", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL4114005B080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL4114005B080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c5006678b539", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1PDGE", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1PDGE"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "sdb", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
8	8	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b994552", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411401U9080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411401U9080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x50014ee657312e12", "disk/by-id/scsi-SATA_WDC_WD7500BPKT-_WD-WX61A81R0766", "disk/by-id/ata-WDC_WD7500BPKT-00PK4T0_WD-WX61A81R0766"], "free_space": 714776, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 714776}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 715404}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "image"}]	{}
4	4	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b993b52", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411400EQ080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411400EQ080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064dbb45d", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0PPCG", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0PPCG"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
7	7	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b993476", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411302C7080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411302C7080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c500667487ab", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1NKJR", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1NKJR"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
11	11	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b994592", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411401V9080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411401V9080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c5006679f17e", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1P740", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1P740"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
12	12	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b994cf1", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411402HG080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411402HG080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064e003ed", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0P2XA", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0P2XA"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
13	13	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b943e93", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL406601UP080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL406601UP080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064e10311", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0PWXQ", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0PWXQ"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
14	14	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b99373c", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411302QM080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411302QM080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50066756a12", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1P42K", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1P42K"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
16	16	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b993bbf", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411400H8080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411400H8080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50065ed2a52", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1AP7V", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1AP7V"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
17	17	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b9827e6", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL410500DC080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL410500DC080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50065e292bd", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W19GWY", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W19GWY"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
18	18	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b9553ca", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL4082010F080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL4082010F080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c500667472ac", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1NJV4", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1NJV4"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
19	19	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b9933a5", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL41130289080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL41130289080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064e0bf8b", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0PXY5", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0PXY5"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
20	20	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b955739", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408201QB080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408201QB080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50050b41c4d", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W04QR4", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W04QR4"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "sdb", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
15	15	[{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b647218", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0BTWL421306RY080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_BTWL421306RY080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 31808}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 44011}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50050b4b79b", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W04LJ6", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W04LJ6"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "sdb", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 15360}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 16384}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 43947}], "type": "vg", "id": "vm"}]	{}
\.


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 20, true);


--
-- Data for Name: node_bond_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_bond_interfaces (id, node_id, name, mac, state, flags, mode) FROM stdin;
\.


--
-- Name: node_bond_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_bond_interfaces_id_seq', 1, false);


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask, state, parent_id) FROM stdin;
57	15	eth3	00:25:90:eb:d7:ef	10000	10000	\N	\N	down	\N
58	15	eth2	00:25:90:eb:d7:ee	10000	10000	10.20.0.17	255.255.255.0	up	\N
59	15	eth1	00:25:90:e9:c4:6f	1000	\N	\N	\N	down	\N
60	15	eth0	00:25:90:e9:c4:6e	1000	\N	\N	\N	down	\N
53	14	eth3	00:25:90:eb:e9:5f	10000	10000	\N	\N	down	\N
55	14	eth1	00:25:90:e9:c1:21	1000	\N	\N	\N	down	\N
54	14	eth2	00:25:90:eb:e9:5e	10000	10000	10.20.0.16	255.255.255.0	up	\N
56	14	eth0	00:25:90:e9:c1:20	1000	\N	\N	\N	down	\N
73	19	eth3	0c:c4:7a:1d:90:f5	10000	10000	\N	\N	down	\N
74	19	eth2	0c:c4:7a:1d:90:f4	10000	10000	10.20.0.21	255.255.255.0	up	\N
75	19	eth1	00:25:90:e9:c4:77	1000	\N	\N	\N	down	\N
76	19	eth0	00:25:90:e9:c4:76	1000	\N	\N	\N	down	\N
49	13	eth3	0c:c4:7a:1d:97:7d	10000	10000	\N	\N	down	\N
51	13	eth1	00:25:90:e9:c5:53	1000	\N	\N	\N	down	\N
50	13	eth2	0c:c4:7a:1d:97:7c	10000	10000	10.20.0.15	255.255.255.0	up	\N
52	13	eth0	00:25:90:e9:c5:52	1000	\N	\N	\N	down	\N
45	12	eth3	0c:c4:7a:1d:91:9b	10000	10000	\N	\N	down	\N
47	12	eth1	00:25:90:e9:c0:3b	1000	\N	\N	\N	down	\N
46	12	eth2	0c:c4:7a:1d:91:9a	10000	10000	10.20.0.14	255.255.255.0	up	\N
48	12	eth0	00:25:90:e9:c0:3a	1000	\N	\N	\N	down	\N
61	16	eth3	0c:c4:7a:1d:90:e5	10000	10000	\N	\N	down	\N
63	16	eth1	00:25:90:e9:c1:55	1000	\N	\N	\N	down	\N
62	16	eth2	0c:c4:7a:1d:90:e4	10000	10000	10.20.0.18	255.255.255.0	up	\N
64	16	eth0	00:25:90:e9:c1:54	1000	\N	\N	\N	down	\N
13	4	eth3	00:25:90:eb:d8:07	10000	10000	\N	\N	down	\N
15	4	eth1	00:25:90:e9:bf:dd	1000	\N	\N	\N	down	\N
14	4	eth2	00:25:90:eb:d8:06	10000	10000	10.20.0.6	255.255.255.0	up	\N
16	4	eth0	00:25:90:e9:bf:dc	1000	\N	\N	\N	down	\N
79	20	eth1	00:25:90:e9:bf:cb	1000	\N	\N	\N	down	\N
80	20	eth0	00:25:90:e9:bf:ca	1000	\N	\N	\N	down	\N
77	20	eth3	00:25:90:eb:d8:25	10000	10000	\N	\N	down	\N
78	20	eth2	00:25:90:eb:d8:24	10000	10000	10.20.0.22	255.255.255.0	up	\N
17	5	eth3	00:25:90:eb:de:89	10000	10000	\N	\N	down	\N
19	5	eth1	00:25:90:e9:c2:3b	1000	\N	\N	\N	down	\N
20	5	eth0	00:25:90:e9:c2:3a	1000	\N	\N	\N	down	\N
18	5	eth2	00:25:90:eb:de:88	10000	10000	10.20.0.7	255.255.255.0	up	\N
29	8	eth3	00:25:90:eb:de:8f	10000	10000	\N	\N	down	\N
31	8	eth1	00:25:90:e9:c5:57	1000	\N	\N	\N	down	\N
30	8	eth2	00:25:90:eb:de:8e	10000	10000	10.20.0.10	255.255.255.0	up	\N
32	8	eth0	00:25:90:e9:c5:56	1000	\N	\N	\N	down	\N
69	18	eth3	0c:c4:7a:1d:95:7b	10000	10000	\N	\N	down	\N
70	18	eth2	0c:c4:7a:1d:95:7a	10000	10000	10.20.0.20	255.255.255.0	up	\N
71	18	eth1	00:25:90:e9:c1:a3	1000	\N	\N	\N	down	\N
72	18	eth0	00:25:90:e9:c1:a2	1000	\N	\N	\N	down	\N
35	9	eth1	00:25:90:e9:c7:57	1000	\N	\N	\N	down	\N
36	9	eth0	00:25:90:e9:c7:56	1000	\N	\N	\N	down	\N
33	9	eth3	0c:c4:7a:1d:93:45	10000	10000	\N	\N	down	\N
34	9	eth2	0c:c4:7a:1d:93:44	10000	10000	10.20.0.11	255.255.255.0	up	\N
37	10	eth3	00:25:90:eb:de:99	10000	10000	\N	\N	down	\N
39	10	eth1	00:25:90:e9:c1:e1	1000	\N	\N	\N	down	\N
38	10	eth2	00:25:90:eb:de:98	10000	10000	10.20.0.12	255.255.255.0	up	\N
40	10	eth0	00:25:90:e9:c1:e0	1000	\N	\N	\N	down	\N
7	2	eth1	00:25:90:e9:c1:99	1000	\N	\N	\N	down	\N
8	2	eth0	00:25:90:e9:c1:98	1000	\N	\N	\N	down	\N
5	2	eth3	0c:c4:7a:1d:87:cb	10000	10000	\N	\N	down	\N
6	2	eth2	0c:c4:7a:1d:87:ca	10000	10000	10.20.0.4	255.255.255.0	up	\N
65	17	eth3	00:25:90:eb:de:8d	10000	10000	\N	\N	down	\N
67	17	eth1	00:25:90:e9:c7:0b	1000	\N	\N	\N	down	\N
66	17	eth2	00:25:90:eb:de:8c	10000	10000	10.20.0.19	255.255.255.0	up	\N
68	17	eth0	00:25:90:e9:c7:0a	1000	\N	\N	\N	down	\N
1	1	eth3	00:25:90:eb:de:91	10000	10000	\N	\N	down	\N
3	1	eth1	00:25:90:e9:c1:d3	1000	\N	\N	\N	down	\N
2	1	eth2	00:25:90:eb:de:90	10000	10000	10.20.0.3	255.255.255.0	up	\N
4	1	eth0	00:25:90:e9:c1:d2	1000	\N	\N	\N	down	\N
9	3	eth3	0c:c4:7a:1d:91:b5	10000	10000	\N	\N	down	\N
10	3	eth2	0c:c4:7a:1d:91:b4	10000	10000	10.20.0.5	255.255.255.0	up	\N
11	3	eth1	00:25:90:e9:bf:d3	1000	\N	\N	\N	down	\N
12	3	eth0	00:25:90:e9:bf:d2	1000	\N	\N	\N	down	\N
25	7	eth3	00:25:90:eb:dc:67	10000	10000	\N	\N	down	\N
27	7	eth1	00:25:90:e9:c1:df	1000	\N	\N	\N	down	\N
26	7	eth2	00:25:90:eb:dc:66	10000	10000	10.20.0.9	255.255.255.0	up	\N
28	7	eth0	00:25:90:e9:c1:de	1000	\N	\N	\N	down	\N
41	11	eth3	00:25:90:eb:de:93	10000	10000	\N	\N	down	\N
43	11	eth1	00:25:90:e9:c4:67	1000	\N	\N	\N	down	\N
42	11	eth2	00:25:90:eb:de:92	10000	10000	10.20.0.13	255.255.255.0	up	\N
44	11	eth0	00:25:90:e9:c4:66	1000	\N	\N	\N	down	\N
21	6	eth3	0c:c4:7a:1d:8e:bd	10000	10000	\N	\N	down	\N
23	6	eth1	00:25:90:e9:c5:51	1000	\N	\N	\N	down	\N
22	6	eth2	0c:c4:7a:1d:8e:bc	10000	10000	10.20.0.8	255.255.255.0	up	\N
24	6	eth0	00:25:90:e9:c5:50	1000	\N	\N	\N	down	\N
\.


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 80, true);


--
-- Data for Name: node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_roles (id, role, node) FROM stdin;
41	10	8
42	7	8
43	10	11
44	8	11
45	10	20
46	8	20
47	10	18
48	8	18
49	10	1
50	7	1
51	10	17
52	8	17
53	10	6
54	8	6
55	10	9
56	7	9
57	10	12
58	8	12
59	10	13
60	8	13
61	10	14
62	8	14
63	10	10
64	8	10
65	10	16
66	8	16
67	10	4
68	8	4
69	10	15
70	8	15
71	10	3
72	8	3
73	10	19
74	8	19
75	10	5
76	8	5
77	10	7
78	8	7
79	10	2
80	8	2
\.


--
-- Name: node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_roles_id_seq', 80, true);


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, uuid, cluster_id, name, status, meta, mac, ip, fqdn, manufacturer, platform_name, kernel_params, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online, agent_checksum, replaced_deployment_info, replaced_provisioning_info) FROM stdin;
9	9ec8e3f9-d7b6-4494-8a5c-e9adcdf49481	1	Untitled (93:44)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C7:57", "current_speed": null, "name": "eth1"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C7:56", "current_speed": null, "name": "eth0"}, {"state": "down", "max_speed": 10000, "mac": "0C:C4:7A:1D:93:45", "current_speed": 10000, "name": "eth3"}, {"name": "eth2", "ip": "10.20.0.11", "state": "up", "mac": "0C:C4:7A:1D:93:44", "max_speed": 10000, "current_speed": 10000, "netmask": "255.255.255.0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x50014ee657312a35", "disk/by-id/scsi-SATA_WDC_WD7500BPKT-_WD-WX11E91HM361", "disk/by-id/ata-WDC_WD7500BPKT-00PK4T0_WD-WX11E91HM361"], "removable": "0", "model": "WDC WD7500BPKT-0", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 750156374016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b955650", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408201K5080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408201K5080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "sda", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-9.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	0c:c4:7a:1d:93:44	10.20.0.11	node-9.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:11.242674	t	585f51dd06fce2dd88da5684fd022ec07b203f03	[]	{}
1	655f1a3b-e31f-4793-b074-aed22c28dfeb	1	Untitled (de:90)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "00:25:90:EB:DE:91", "current_speed": 10000, "name": "eth3"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C1:D3", "current_speed": null, "name": "eth1"}, {"name": "eth2", "ip": "10.20.0.3", "netmask": "255.255.255.0", "mac": "00:25:90:EB:DE:90", "state": "up", "max_speed": 10000, "current_speed": 10000}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C1:D2", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x50014ee601dc01e2", "disk/by-id/scsi-SATA_WDC_WD7500BPKT-_WD-WX11E91HM567", "disk/by-id/ata-WDC_WD7500BPKT-00PK4T0_WD-WX11E91HM567"], "removable": "0", "model": "WDC WD7500BPKT-0", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 750156374016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b957126", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408400UW080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408400UW080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "sda", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-1.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	00:25:90:eb:de:90	10.20.0.3	node-1.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:22.498701	t	c43f813cb872d1577c9b905c5ca071e91271d4b0	[]	{}
2	636d5093-c31d-4179-b540-f9f84c22078f	1	Untitled (87:ca)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C1:99", "current_speed": null, "name": "eth1"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C1:98", "current_speed": null, "name": "eth0"}, {"state": "down", "max_speed": 10000, "mac": "0C:C4:7A:1D:87:CB", "current_speed": 10000, "name": "eth3"}, {"name": "eth2", "ip": "10.20.0.4", "netmask": "255.255.255.0", "mac": "0C:C4:7A:1D:87:CA", "state": "up", "max_speed": 10000, "current_speed": 10000}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50065ed258e", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1APXM", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1APXM"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b955364", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408200XF080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408200XF080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "sda", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-2.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	0c:c4:7a:1d:87:ca	10.20.0.4	node-2.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:17.449843	t	e0fed104f7a0234a5e2b392696cde117e26d3933	[]	{}
5	cfcaae38-2290-4704-9105-eb0a325d4012	1	Untitled (de:88)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "00:25:90:EB:DE:89", "current_speed": 10000, "name": "eth3"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C2:3B", "current_speed": null, "name": "eth1"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C2:3A", "current_speed": null, "name": "eth0"}, {"name": "eth2", "ip": "10.20.0.7", "state": "up", "mac": "00:25:90:EB:DE:88", "max_speed": 10000, "current_speed": 10000, "netmask": "255.255.255.0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c5006678b539", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1PDGE", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1PDGE"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "sdb", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b99395d", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL4114005B080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL4114005B080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-5.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	00:25:90:eb:de:88	10.20.0.7	node-5.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:28.610338	t	2f651325b86962280b0b42cf9d39e27b88579ed2	[]	{}
3	8d83fbee-52e4-4f57-bd0a-24204bec0da0	1	Untitled (91:b4)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "0C:C4:7A:1D:91:B5", "current_speed": 10000, "name": "eth3"}, {"name": "eth2", "ip": "10.20.0.5", "state": "up", "mac": "0C:C4:7A:1D:91:B4", "max_speed": 10000, "current_speed": 10000, "netmask": "255.255.255.0"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:BF:D3", "current_speed": null, "name": "eth1"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:BF:D2", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064e16328", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0QEDT", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0QEDT"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "sdb", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b942d66", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL4066001T080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL4066001T080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-3.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	0c:c4:7a:1d:91:b4	10.20.0.5	node-3.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:27.536704	t	082bdbecef21af4d139157a6d4e1ef49492f789b	[]	{}
7	9b3d829d-2471-4e74-b9bb-6e8d13f06035	1	Untitled (dc:66)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "00:25:90:EB:DC:67", "current_speed": 10000, "name": "eth3"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C1:DF", "current_speed": null, "name": "eth1"}, {"name": "eth2", "ip": "10.20.0.9", "state": "up", "mac": "00:25:90:EB:DC:66", "max_speed": 10000, "current_speed": 10000, "netmask": "255.255.255.0"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C1:DE", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c500667487ab", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1NKJR", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1NKJR"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "sdb", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b993476", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411302C7080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411302C7080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-7.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	00:25:90:eb:dc:66	10.20.0.9	node-7.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:04.968158	t	adf404e37bfd91b2d90ea9dea5b6d1dd44a701f8	[]	{}
4	4bd85d40-bf74-4e59-aa9d-6785091cf5e9	1	Untitled (d8:06)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "00:25:90:EB:D8:07", "current_speed": 10000, "name": "eth3"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:BF:DD", "current_speed": null, "name": "eth1"}, {"name": "eth2", "ip": "10.20.0.6", "state": "up", "mac": "00:25:90:EB:D8:06", "max_speed": 10000, "current_speed": 10000, "netmask": "255.255.255.0"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:BF:DC", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064dbb45d", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0PPCG", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0PPCG"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b993b52", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411400EQ080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411400EQ080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "sda", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-4.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	00:25:90:eb:d8:06	10.20.0.6	node-4.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:16.715828	t	991bc9ccc5a377adc77fbeebd5b9c0b5b5fa34b7	[]	{}
11	ee29dcd3-41f2-4c9d-a0a8-d13a415dd8af	1	Untitled (de:92)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "00:25:90:EB:DE:93", "current_speed": 10000, "name": "eth3"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C4:67", "current_speed": null, "name": "eth1"}, {"name": "eth2", "ip": "10.20.0.13", "state": "up", "mac": "00:25:90:EB:DE:92", "max_speed": 10000, "current_speed": 10000, "netmask": "255.255.255.0"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C4:66", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c5006679f17e", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1P740", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1P740"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "sdb", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b994592", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411401V9080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411401V9080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-11.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	00:25:90:eb:de:92	10.20.0.13	node-11.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:11.375813	t	452194b50bad389641c2c796603403cda4f03e97	[]	{}
13	3b03bf7e-0809-4887-9fd0-c2762154283b	1	Untitled (97:7c)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "0C:C4:7A:1D:97:7D", "current_speed": 10000, "name": "eth3"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C5:53", "current_speed": null, "name": "eth1"}, {"name": "eth2", "ip": "10.20.0.15", "netmask": "255.255.255.0", "mac": "0C:C4:7A:1D:97:7C", "state": "up", "max_speed": 10000, "current_speed": 10000}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C5:52", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064e10311", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0PWXQ", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0PWXQ"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "sdb", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b943e93", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL406601UP080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL406601UP080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-13.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	0c:c4:7a:1d:97:7c	10.20.0.15	node-13.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:26.892037	t	a90d093d1b4d5bd6ce94c02ef4a2ae0a6aa7d2b4	[]	{}
15	0e5f3974-33a4-46e1-b90e-eaf47ee09b77	1	Untitled (d7:ee)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "00:25:90:EB:D7:EF", "current_speed": 10000, "name": "eth3"}, {"name": "eth2", "ip": "10.20.0.17", "netmask": "255.255.255.0", "mac": "00:25:90:EB:D7:EE", "state": "up", "max_speed": 10000, "current_speed": 10000}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C4:6F", "current_speed": null, "name": "eth1"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C4:6E", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50050b4b79b", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W04LJ6", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W04LJ6"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "sdb", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b647218", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0BTWL421306RY080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_BTWL421306RY080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-15.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	00:25:90:eb:d7:ee	10.20.0.17	node-15.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:27.51837	t	65e86aaa334dfffcffc44348304e69ed477a2899	[]	{}
17	5d99b181-d5ea-4db2-b2eb-79b6694056d1	1	Untitled (de:8c)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "00:25:90:EB:DE:8D", "current_speed": 10000, "name": "eth3"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C7:0B", "current_speed": null, "name": "eth1"}, {"name": "eth2", "ip": "10.20.0.19", "state": "up", "mac": "00:25:90:EB:DE:8C", "max_speed": 10000, "current_speed": 10000, "netmask": "255.255.255.0"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C7:0A", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50065e292bd", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W19GWY", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W19GWY"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b9827e6", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL410500DC080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL410500DC080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "sda", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-17.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	00:25:90:eb:de:8c	10.20.0.19	node-17.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:30.590566	t	4b4fb25d9b038d43cadf980adf6687ae6c517531	[]	{}
16	1948c333-755b-4994-b19d-3bcbbb658d7d	1	Untitled (90:e4)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "0C:C4:7A:1D:90:E5", "current_speed": 10000, "name": "eth3"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C1:55", "current_speed": null, "name": "eth1"}, {"name": "eth2", "ip": "10.20.0.18", "netmask": "255.255.255.0", "mac": "0C:C4:7A:1D:90:E4", "state": "up", "max_speed": 10000, "current_speed": 10000}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C1:54", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50065ed2a52", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1AP7V", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1AP7V"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "sdb", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b993bbf", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411400H8080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411400H8080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-16.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	0c:c4:7a:1d:90:e4	10.20.0.18	node-16.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:23.942425	t	a6ac4070610653daff781b5e3ece41cc4bde5e94	[]	{}
10	cbf36b19-7157-4d80-831a-3d7620aadf1e	1	Untitled (de:98)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "00:25:90:EB:DE:99", "current_speed": 10000, "name": "eth3"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C1:E1", "current_speed": null, "name": "eth1"}, {"name": "eth2", "ip": "10.20.0.12", "netmask": "255.255.255.0", "mac": "00:25:90:EB:DE:98", "state": "up", "max_speed": 10000, "current_speed": 10000}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C1:E0", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c5006674709b", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1NKZK", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1NKZK"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b95558d", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408201DQ080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408201DQ080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "sda", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-10.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	00:25:90:eb:de:98	10.20.0.12	node-10.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:08.797659	t	46e6817f1bb5f18e425b8dbab0c6868dc89250d6	[]	{}
18	408a18be-229b-4f95-98e4-4b5417039c9e	1	Untitled (95:7a)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "0C:C4:7A:1D:95:7B", "current_speed": 10000, "name": "eth3"}, {"name": "eth2", "ip": "10.20.0.20", "state": "up", "mac": "0C:C4:7A:1D:95:7A", "max_speed": 10000, "current_speed": 10000, "netmask": "255.255.255.0"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C1:A3", "current_speed": null, "name": "eth1"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C1:A2", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c500667472ac", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1NJV4", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1NJV4"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b9553ca", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL4082010F080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL4082010F080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "sda", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-18.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	0c:c4:7a:1d:95:7a	10.20.0.20	node-18.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:19.437723	t	7b18da448dde3cb5831790f1b6e5064ef1759c3a	[]	{}
19	30eae901-9de1-4c28-a1ea-e5d2cbcfd2ef	1	Untitled (90:f4)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "0C:C4:7A:1D:90:F5", "current_speed": 10000, "name": "eth3"}, {"name": "eth2", "ip": "10.20.0.21", "netmask": "255.255.255.0", "mac": "0C:C4:7A:1D:90:F4", "state": "up", "max_speed": 10000, "current_speed": 10000}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C4:77", "current_speed": null, "name": "eth1"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C4:76", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064e0bf8b", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0PXY5", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0PXY5"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "sdb", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b9933a5", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL41130289080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL41130289080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-19.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	0c:c4:7a:1d:90:f4	10.20.0.21	node-19.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:16.441185	t	10c67b701907e8e7a94956349368d4f7290297fc	[]	{}
20	c6a4fb2f-c33a-4024-a8c7-397dd5e25ccc	1	Untitled (d8:24)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:BF:CB", "current_speed": null, "name": "eth1"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:BF:CA", "current_speed": null, "name": "eth0"}, {"state": "down", "max_speed": 10000, "mac": "00:25:90:EB:D8:25", "current_speed": 10000, "name": "eth3"}, {"name": "eth2", "ip": "10.20.0.22", "netmask": "255.255.255.0", "mac": "00:25:90:EB:D8:24", "state": "up", "max_speed": 10000, "current_speed": 10000}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50050b41c4d", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W04QR4", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W04QR4"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "sdb", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b955739", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408201QB080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408201QB080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-20.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	00:25:90:eb:d8:24	10.20.0.22	node-20.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:26.651303	t	fae178fc58d81dcbd92999810167ce7f75d499f5	[]	{}
8	4adcdd06-56db-4913-b35d-b5746f5400a5	1	Untitled (de:8e)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "00:25:90:EB:DE:8F", "current_speed": 10000, "name": "eth3"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C5:57", "current_speed": null, "name": "eth1"}, {"name": "eth2", "ip": "10.20.0.10", "state": "up", "mac": "00:25:90:EB:DE:8E", "max_speed": 10000, "current_speed": 10000, "netmask": "255.255.255.0"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C5:56", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x50014ee657312e12", "disk/by-id/scsi-SATA_WDC_WD7500BPKT-_WD-WX61A81R0766", "disk/by-id/ata-WDC_WD7500BPKT-00PK4T0_WD-WX61A81R0766"], "removable": "0", "model": "WDC WD7500BPKT-0", "disk": "sdb", "size": 750156374016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b994552", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411401U9080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411401U9080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-8.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	00:25:90:eb:de:8e	10.20.0.10	node-8.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:23.209981	t	b214ee9a2ebcf6c909c7e362b132f3cf9d244cc8	[]	{}
6	80d03afb-0941-4708-887c-5c283f151d1d	1	Untitled (8e:bc)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "0C:C4:7A:1D:8E:BD", "current_speed": 10000, "name": "eth3"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C5:51", "current_speed": null, "name": "eth1"}, {"name": "eth2", "ip": "10.20.0.8", "state": "up", "mac": "0C:C4:7A:1D:8E:BC", "max_speed": 10000, "current_speed": 10000, "netmask": "255.255.255.0"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C5:50", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c5006678b1f5", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1PDQK", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1PDQK"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "sdb", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b9554f4", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL40820197080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL40820197080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-6.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	0c:c4:7a:1d:8e:bc	10.20.0.8	node-6.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:27.062339	t	b099178b441706043a3afd84bab6b971269bb75d	[]	{}
12	32024077-a5db-483c-9010-2715bea034a3	1	Untitled (91:9a)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "0C:C4:7A:1D:91:9B", "current_speed": 10000, "name": "eth3"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C0:3B", "current_speed": null, "name": "eth1"}, {"name": "eth2", "ip": "10.20.0.14", "state": "up", "mac": "0C:C4:7A:1D:91:9A", "max_speed": 10000, "current_speed": 10000, "netmask": "255.255.255.0"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C0:3A", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064e003ed", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0P2XA", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0P2XA"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "sdb", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b994cf1", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411402HG080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411402HG080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-12.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	0c:c4:7a:1d:91:9a	10.20.0.14	node-12.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:02.825046	t	87722610bfa353262bc9151568c3124c6314f067	[]	{}
14	7021f451-bb9a-49cb-8f2a-ec8fb421b342	1	Untitled (e9:5e)	provisioned	{"memory": {"slots": 4, "total": 34359738368, "maximum_capacity": 68719476736, "devices": [{"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}, {"frequency": 1600, "type": "DDR3", "size": 8589934592}]}, "interfaces": [{"state": "down", "max_speed": 10000, "mac": "00:25:90:EB:E9:5F", "current_speed": 10000, "name": "eth3"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C1:21", "current_speed": null, "name": "eth1"}, {"name": "eth2", "ip": "10.20.0.16", "state": "up", "mac": "00:25:90:EB:E9:5E", "max_speed": 10000, "current_speed": 10000, "netmask": "255.255.255.0"}, {"state": "down", "max_speed": 1000, "mac": "00:25:90:E9:C1:20", "current_speed": null, "name": "eth0"}], "disks": [{"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50066756a12", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1P42K", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1P42K"], "removable": "0", "model": "ST1000NM0033-9ZM", "disk": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 1000204886016}, {"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b99373c", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411302QM080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411302QM080KGN"], "removable": "0", "model": "INTEL SSDSC2BB08", "disk": "sda", "size": 80026361856}], "cpu": {"real": 1, "total": 12, "spec": [{"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}, {"model": "Intel(R) Xeon(R) CPU E5-2620 v2 @ 2.10GHz", "frequency": 2101}]}, "system": {"product": "X9SRD-F", "family": "To be filled by O.E.M.", "fqdn": "node-14.domain.tld", "version": "0123456789", "serial": "0123456789", "manufacturer": "Supermicro"}}	00:25:90:eb:e9:5e	10.20.0.16	node-14.domain.tld	Supermicro	X9SRD-F	\N	100	ubuntu	f	f	\N	\N	2014-08-11 19:12:09.197451	t	472c1dc00bf8ff8a3483e77e43b6747b351b1312	[]	{}
\.


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 20, true);


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
1	\N	\N	\N	done	Master node installation has been completed successfully. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	read	2014-08-11 16:35:01.404108
2	\N	1	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 0.83 TB HDD 	read	2014-08-11 16:45:41.128011
3	\N	2	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:46:54.117309
4	\N	3	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:46:55.976607
5	\N	4	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:47:15.041209
6	\N	5	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:47:37.553618
7	\N	6	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:47:38.42575
8	\N	7	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:47:38.497511
9	\N	8	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 0.83 TB HDD 	read	2014-08-11 16:47:38.87841
10	\N	9	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 0.83 TB HDD 	read	2014-08-11 16:47:41.235825
11	\N	10	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:47:44.275614
12	\N	11	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:47:47.119347
13	\N	12	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:47:47.562219
14	\N	13	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:47:51.56331
15	\N	14	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:47:51.959554
16	\N	15	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:47:53.179438
17	\N	16	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:47:54.05224
18	\N	17	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:47:54.189245
19	\N	18	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:48:05.883873
20	\N	19	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:48:12.614187
21	\N	20	\N	discover	New node is discovered: 12 CPUs / 32.0 GB RAM / 1.08 TB HDD 	read	2014-08-11 16:48:23.694872
22	\N	12	\N	error	Node 'Untitled (91:9a)' has gone away	read	2014-08-11 18:22:11.956148
23	\N	12	\N	discover	Node 'Untitled (91:9a)' is back online	read	2014-08-11 18:22:18.327495
24	1	\N	\N	error	Deployment has failed. Error occurred while running method 'deploy'. Inspect Astute logs for the details	read	2014-08-11 18:28:44.594343
25	1	\N	\N	error	Deployment has failed. Error occurred while running method 'deploy'. Inspect Astute logs for the details	read	2014-08-11 18:29:12.608679
26	1	\N	\N	done	Environment 'test' was successfully reset	read	2014-08-11 18:29:41.899446
27	\N	14	\N	discover	Node 'Untitled (e9:5e)' is back online	read	2014-08-11 18:33:37.935491
28	\N	5	\N	discover	Node 'Untitled (de:88)' is back online	read	2014-08-11 18:33:39.952636
29	\N	6	\N	discover	Node 'Untitled (8e:bc)' is back online	read	2014-08-11 18:33:40.465681
30	\N	18	\N	discover	Node 'Untitled (95:7a)' is back online	read	2014-08-11 18:33:41.123521
31	\N	10	\N	discover	Node 'Untitled (de:98)' is back online	read	2014-08-11 18:33:43.75572
32	\N	9	\N	discover	Node 'Untitled (93:44)' is back online	read	2014-08-11 18:33:45.644946
33	\N	13	\N	discover	Node 'Untitled (97:7c)' is back online	read	2014-08-11 18:33:47.113748
34	\N	11	\N	discover	Node 'Untitled (de:92)' is back online	read	2014-08-11 18:33:49.597769
35	\N	3	\N	discover	Node 'Untitled (91:b4)' is back online	read	2014-08-11 18:33:49.660269
36	\N	19	\N	discover	Node 'Untitled (90:f4)' is back online	read	2014-08-11 18:33:50.106383
37	\N	4	\N	discover	Node 'Untitled (d8:06)' is back online	read	2014-08-11 18:33:50.400732
38	\N	15	\N	discover	Node 'Untitled (d7:ee)' is back online	read	2014-08-11 18:33:52.120608
39	\N	17	\N	discover	Node 'Untitled (de:8c)' is back online	read	2014-08-11 18:33:52.318789
40	\N	7	\N	discover	Node 'Untitled (dc:66)' is back online	read	2014-08-11 18:33:52.38103
41	\N	2	\N	discover	Node 'Untitled (87:ca)' is back online	read	2014-08-11 18:33:55.273178
42	\N	16	\N	discover	Node 'Untitled (90:e4)' is back online	read	2014-08-11 18:33:55.908812
43	\N	12	\N	discover	Node 'Untitled (91:9a)' is back online	read	2014-08-11 18:33:56.439834
44	\N	8	\N	discover	Node 'Untitled (de:8e)' is back online	read	2014-08-11 18:34:02.196697
45	\N	20	\N	discover	Node 'Untitled (d8:24)' is back online	read	2014-08-11 18:34:03.073791
46	\N	1	\N	discover	Node 'Untitled (de:90)' is back online	read	2014-08-11 18:34:03.215695
47	\N	3	\N	error	Node 'Untitled (91:b4)' has gone away	read	2014-08-11 19:07:15.353015
48	\N	4	\N	error	Node 'Untitled (d8:06)' has gone away	read	2014-08-11 19:07:15.355685
49	\N	11	\N	error	Node 'Untitled (de:92)' has gone away	read	2014-08-11 19:07:15.358265
50	\N	15	\N	error	Node 'Untitled (d7:ee)' has gone away	read	2014-08-11 19:07:15.361388
51	\N	4	\N	discover	Node 'Untitled (d8:06)' is back online	read	2014-08-11 19:07:21.349783
52	\N	3	\N	discover	Node 'Untitled (91:b4)' is back online	read	2014-08-11 19:07:26.086194
53	\N	15	\N	discover	Node 'Untitled (d7:ee)' is back online	read	2014-08-11 19:07:31.396638
54	1	\N	\N	error	Deployment has failed. Error occurred while running method 'deploy'. Inspect Astute logs for the details	unread	2014-08-11 19:12:41.601309
\.


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 54, true);


--
-- Data for Name: nova_network_config; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nova_network_config (id, fixed_networks_cidr, fixed_networks_vlan_start, fixed_network_size, fixed_networks_amount, net_manager) FROM stdin;
\.


--
-- Data for Name: pending_node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY pending_node_roles (id, role, node) FROM stdin;
\.


--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('pending_node_roles_id_seq', 80, true);


--
-- Data for Name: release_orchestrator_data; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY release_orchestrator_data (id, release_id, repo_metadata, puppet_manifests_source, puppet_modules_source) FROM stdin;
\.


--
-- Name: release_orchestrator_data_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('release_orchestrator_data_id_seq', 1, false);


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata, can_update_from_versions, wizard_metadata) FROM stdin;
1	Icehouse on CentOS 6.5	2014.1.1-5.1	This option will install the OpenStack Icehouse packages using a CentOS based operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	available	{"nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "assign_vip": true, "map_priority": 1, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "assign_vip": true, "map_priority": 2, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "assign_vip": false, "map_priority": 2, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "zabbix": {"db_password": {"generator": "password"}, "db_root_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "ceilometer": {"weight": 40, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "value": false, "label": "Install Ceilometer"}, "sahara": {"weight": 10, "type": "checkbox", "description": "If selected, Sahara component will be installed", "value": false, "label": "Install Sahara"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": true, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "vlan_splinters": {"vswitch": {"values": [{"data": "soft", "description": "Configure OVS to use VLAN splinters workaround with soft trunk detection. This may resolve issues that might be encountered when using VLAN tags with OVS and Neutron on Kernels <3.3 (CentOS)", "label": "Enable OVS VLAN splinters soft trunks workaround"}, {"data": "hard", "description": "Configure OVS to use VLAN splinters workaround with hard trunk allocation. Offers similar effect as soft trunks workaround, but forces each trunk to be predefined. This may work better than soft trunks especially if you still see network problems using soft trunks", "label": "Enable OVS VLAN splinters hard trunks workaround"}, {"data": "kernel_lt", "description": "Install the Fedora 3.10 longterm kernel instead of the default 2.6.32 kernel. This should remove any need for VLAN Splinters workarounds as the 3.10 kernel has better support for OVS VLANs. This kernel may not work with all hardware platforms, use caution.", "label": "EXPERIMENTAL: Use Fedora longterm kernel"}], "type": "radio", "weight": 55, "value": "disabled", "label": "Open VSwitch VLAN Splinters feature"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron'"}], "enabled": false, "weight": 50, "toggleable": true, "label": "VLAN Splinters"}}, "kernel_params": {"kernel": {"weight": 45, "type": "text", "description": "Default kernel parameters", "value": "console=ttyS0,9600 console=tty0 biosdevname=0 crashkernel=none rootdelay=90 nomodeset", "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'"], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "ephemeral_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "type": "checkbox"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "volumes_vmdk": {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or settings:storage.volumes_lvm.value == true"], "description": "Configures Cinder to store volumes via VMware vCenter.", "weight": 15, "value": false, "label": "VMware vCenter for volumes (Cinder)", "type": "checkbox"}, "osd_pool_size": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "images_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}, "password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "metadata": {"weight": 10, "label": "Access"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "zabbix": {"username": {"weight": 10, "type": "text", "description": "Username for Zabbix Administrator", "value": "admin", "label": "username"}, "password": {"weight": 20, "type": "password", "description": "Password for Zabbix Administrator", "value": "zabbix", "label": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}}, "nsx_plugin": {"nsx_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 30, "value": "", "label": "NSX password", "type": "password"}, "nsx_username": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "NSX administrator's username", "weight": 20, "value": "admin", "label": "NSX username", "type": "text"}, "connector_type": {"description": "Default network transport type to use", "weight": 80, "value": "stt", "label": "NSX connector type", "values": [{"data": "gre", "label": "GRE"}, {"data": "ipsec_gre", "label": "GRE over IPSec"}, {"data": "stt", "label": "STT"}, {"data": "ipsec_stt", "label": "STT over IPSec"}, {"data": "bridge", "label": "Bridge"}], "type": "dropdown"}, "packages_url": {"regex": {"source": "^https?://(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(/.*)?$", "error": "Invalid URL, specify valid HTTP/HTTPS URL with IPv4 address (e.g. http://10.20.0.2/nsx)"}, "description": "URL to NSX specific packages", "weight": 70, "value": "", "label": "URL to NSX bits", "type": "text"}, "nsx_controllers": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(,(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?)*$", "error": "Invalid controller endpoints, specify valid IPv4[:port] pair"}, "description": "One or more IPv4[:port] addresses of NSX controller node, separated by comma (e.g. 10.30.30.2,192.168.110.254:443)", "weight": 60, "value": "", "label": "NSX controller endpoint", "type": "text"}, "l3_gw_service_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid L3 gateway service UUID"}, "description": "UUID for the default L3 gateway service to use with this cluster", "weight": 50, "value": "", "label": "L3 service UUID", "type": "text"}, "transport_zone_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid transport zone UUID"}, "description": "UUID of the pre-existing default NSX Transport zone", "weight": 40, "value": "", "label": "Transport zone UUID", "type": "text"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "plugin": {"values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type? == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "type": "radio", "weight": 60, "value": "disabled", "label": "Mellanox drivers and SR-IOV plugin"}, "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "vcenter": {"use_vcenter": {"weight": 5, "type": "hidden", "description": "", "value": true, "label": ""}, "vc_user": {"weight": 20, "type": "text", "description": "vCenter admin username", "value": "", "label": "Username"}, "host_ip": {"weight": 10, "type": "text", "description": "IP Address of vCenter", "value": "", "label": "vCenter IP"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "Invalid cluster list"}, "description": "vCenter cluster name. If you have multiple clusters, use comma to separate names", "weight": 40, "value": "", "label": "Cluster", "type": "text"}, "vc_password": {"weight": 30, "type": "password", "description": "vCenter admin password", "value": "", "label": "Password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"weight": 50, "label": "Corosync"}}, "common": {"auto_assign_floating_ip": {"restrictions": ["cluster:net_provider == 'neutron'"], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or cluster:net_provider == 'neutron'"], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}}}	{"volumes_roles_mapping": {"compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}], "zabbix-server": [{"id": "os", "allocate_size": "min"}, {"id": "mysql", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"compute": {"name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "mongo": {"conflicts": ["compute", "ceph-osd"], "depends": [{"warning": "Ceilometer should be enabled", "condition": "settings:additional_components.ceilometer.value == true"}], "name": "Telemetry - MongoDB", "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}, "zabbix-server": {"conflicts": ["controller", "compute", "cinder", "ceph-osd", "mongo"], "depends": [{"action": "hide", "condition": "'experimental' in version:feature_groups"}], "name": "Zabbix Server", "description": "Zabbix monitoring system server."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "cinder": {"name": "Storage - Cinder LVM", "description": "Cinder LVM provides block storage over iSCSI. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "ceph-osd": {"name": "Storage - Ceph OSD", "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}	[]	{"Compute": {"hypervisor": {"bind": "settings:common.libvirt_type.value", "values": [{"data": "kvm", "description": "dialog.create_cluster_wizard.compute.kvm_description", "label": "dialog.create_cluster_wizard.compute.kvm"}, {"data": "qemu", "description": "dialog.create_cluster_wizard.compute.qemu_description", "label": "dialog.create_cluster_wizard.compute.qemu"}, {"data": "vcenter", "description": "dialog.create_cluster_wizard.compute.vcenter_description", "label": "dialog.create_cluster_wizard.compute.vcenter"}], "weight": 5, "value": "qemu", "type": "radio"}, "vc_user": {"regex": {"source": "\\\\S", "error": "dialog.create_cluster_wizard.compute.vcenter_user_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_username_description", "weight": 20, "bind": "settings:vcenter.vc_user.value", "label": "dialog.create_cluster_wizard.compute.vcenter_username", "type": "text"}, "vc_password": {"regex": {"source": "\\\\S", "error": "dialog.create_cluster_wizard.compute.vcenter_password_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_password_description", "weight": 30, "bind": "settings:vcenter.vc_password.value", "label": "dialog.create_cluster_wizard.compute.vcenter_password", "type": "password"}, "host_ip": {"regex": {"source": "^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\\\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$", "error": "dialog.create_cluster_wizard.compute.vcenter_ip_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_ip_description", "weight": 10, "bind": "settings:vcenter.host_ip.value", "label": "dialog.create_cluster_wizard.compute.vcenter_ip", "type": "text"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "dialog.create_cluster_wizard.compute.vcenter_cluster_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_cluster_description", "weight": 40, "bind": "settings:vcenter.cluster.value", "label": "dialog.create_cluster_wizard.compute.vcenter_cluster", "type": "text"}}, "Network": {"manager": {"values": [{"bind": [{"cluster:net_provider": "nova_network"}], "data": "nova-network", "label": "dialog.create_cluster_wizard.network.nova_network"}, {"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "gre"}], "data": "neutron-gre", "label": "dialog.create_cluster_wizard.network.neutr_gre"}, {"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "vlan"}], "data": "neutron-vlan", "label": "dialog.create_cluster_wizard.network.neutr_vlan"}, {"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_l23_provider": "nsx"}, {"cluster:net_segment_type": "gre"}, {"settings:nsx_plugin.metadata.enabled": true}], "data": "neutron-nsx", "label": "dialog.create_cluster_wizard.network.neutr_nsx"}], "type": "radio"}}, "Storage": {"cinder": {"values": [{"bind": [{"settings:storage.volumes_lvm.value": true}], "data": "default", "label": "dialog.create_cluster_wizard.storage.default"}, {"restrictions": [{"not ('ceph-osd' in NameAndRelease.release_roles)": "dialog.create_cluster_wizard.storage.alert"}, {"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.storage.cinder_vcenter_alert"}], "bind": [{"settings:storage.volumes_ceph.value": true}, {"settings:storage.volumes_lvm.value": false}], "data": "ceph", "label": "dialog.create_cluster_wizard.storage.ceph"}], "type": "radio"}, "glance": {"values": [{"data": "default", "label": "dialog.create_cluster_wizard.storage.default"}, {"restrictions": [{"not ('ceph-osd' in NameAndRelease.release_roles)": "dialog.create_cluster_wizard.storage.alert"}, {"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.storage.glance_vcenter_alert"}], "bind": [{"settings:storage.images_ceph.value": true}], "data": "ceph", "label": "dialog.create_cluster_wizard.storage.ceph"}], "type": "radio"}}, "AdditionalServices": {"murano": {"restrictions": [{"Network.manager == 'nova-network'": "dialog.create_cluster_wizard.additional.network_mode_alert"}], "description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "bind": "settings:additional_components.murano.value", "label": "dialog.create_cluster_wizard.additional.install_murano", "type": "checkbox"}, "ceilometer": {"bind": "settings:additional_components.ceilometer.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "label": "dialog.create_cluster_wizard.additional.install_ceilometer"}, "sahara": {"bind": "settings:additional_components.sahara.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "label": "dialog.create_cluster_wizard.additional.install_sahara"}}, "Mode": {"mode": {"bind": "cluster:mode", "values": [{"data": "ha_compact", "label": "cluster.mode.ha_compact"}, {"data": "multinode", "label": "cluster.mode.multinode"}], "type": "radio"}}, "Ready": {}}
2	Icehouse on Ubuntu 12.04.4	2014.1.1-5.1	This option will install the OpenStack Icehouse packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"nova_network": {"config": {"floating_ranges": [["172.16.0.128", "172.16.0.254"]], "net_manager": "FlatDHCPManager", "fixed_networks_vlan_start": 103, "fixed_networks_amount": 1, "fixed_network_size": 256, "fixed_networks_cidr": "10.0.0.0/16"}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "gateway": "172.16.0.1", "ip_range": ["172.16.0.2", "172.16.0.127"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"ext_net_data": ["fixed_networks_vlan_start", "fixed_networks_amount"], "name": "fixed", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "configurable": false}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}, "internal_cidr": "192.168.111.0/24", "internal_gateway": "192.168.111.1", "floating_ranges": [["172.16.0.130", "172.16.0.254"]], "base_mac": "fa:16:3e:00:00:00", "gre_id_range": [2, 65535], "vlan_range": [1000, 1030]}, "networks": [{"name": "public", "notation": "ip_ranges", "render_type": null, "map_priority": 1, "assign_vip": true, "floating_range_var": "floating_ranges", "use_gateway": true, "vlan_start": null, "render_addr_mask": "public", "cidr": "172.16.0.0/24", "configurable": true, "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": true, "use_gateway": false, "vlan_start": 101, "render_addr_mask": "internal", "cidr": "192.168.0.0/24", "configurable": true}, {"name": "storage", "notation": "cidr", "render_type": "cidr", "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": 102, "render_addr_mask": "storage", "cidr": "192.168.1.0/24", "configurable": true}, {"name": "private", "notation": null, "render_type": null, "map_priority": 2, "assign_vip": false, "use_gateway": false, "vlan_start": null, "render_addr_mask": null, "neutron_vlan_range": true, "configurable": false, "seg_type": "vlan"}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "ceilometer": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "metering_secret": {"generator": "password"}}, "heat": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "zabbix": {"db_password": {"generator": "password"}, "db_root_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "sahara": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1204_x86_64"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}}, "editable": {"additional_components": {"murano": {"restrictions": ["cluster:net_provider != 'neutron'"], "description": "If selected, Murano component will be installed", "weight": 20, "value": false, "label": "Install Murano", "type": "checkbox"}, "ceilometer": {"value": false, "type": "checkbox", "description": "If selected, Ceilometer component will be installed", "weight": 40, "label": "Install Ceilometer"}, "sahara": {"value": false, "type": "checkbox", "description": "If selected, Sahara component will be installed", "weight": 10, "label": "Install Sahara"}, "heat": {"value": true, "type": "hidden", "description": "", "weight": 30, "label": ""}, "metadata": {"weight": 20, "label": "Additional Components"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "tcp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}, "metadata": {"weight": 50, "label": "Syslog"}}, "storage": {"iser": {"restrictions": ["settings:storage.volumes_lvm.value != true or settings:common.libvirt_type.value != 'kvm'"], "description": "High performance block storage: Cinder volumes over iSER protocol (iSCSI over RDMA). This feature requires SR-IOV capabilities in the NIC, and will use a dedicated virtual function for the storage network.", "weight": 11, "value": false, "label": "iSER protocol for volumes (Cinder)", "type": "checkbox"}, "volumes_ceph": {"restrictions": ["settings:storage.volumes_lvm.value == true or settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Cinder to store volumes in Ceph RBD images.", "weight": 20, "value": false, "label": "Ceph RBD for volumes (Cinder)", "type": "checkbox"}, "objects_ceph": {"restrictions": ["settings:storage.images_ceph.value == false"], "description": "Configures RadosGW front end for Ceph RBD. This exposes S3 and Swift API Interfaces. If enabled, this option will prevent Swift from installing.", "weight": 40, "value": false, "label": "Ceph RadosGW for objects (Swift API)", "type": "checkbox"}, "ephemeral_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Nova to store ephemeral volumes in RBD. This works best if Ceph is enabled for volumes and images, too. Enables live migration of all types of Ceph backed VMs (without this option, live migration will only work with VMs launched from Cinder volumes).", "weight": 35, "value": false, "label": "Ceph RBD for ephemeral volumes (Nova)", "type": "checkbox"}, "volumes_lvm": {"restrictions": ["settings:storage.volumes_ceph.value == true"], "description": "Requires at least one Storage - Cinder LVM node.", "weight": 10, "value": true, "label": "Cinder LVM over iSCSI for volumes", "type": "checkbox"}, "osd_pool_size": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures the default number of object replicas in Ceph. This number must be equal to or lower than the number of deployed 'Storage - Ceph OSD' nodes.", "weight": 70, "value": "2", "label": "Ceph object replication factor", "type": "text"}, "volumes_vmdk": {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or settings:storage.volumes_lvm.value == true"], "description": "Configures Cinder to store volumes via VMware vCenter.", "weight": 15, "value": false, "label": "VMware vCenter for volumes (Cinder)", "type": "checkbox"}, "images_ceph": {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "description": "Configures Glance to use the Ceph RBD backend to store images. If enabled, this option will prevent Swift from installing.", "weight": 30, "value": false, "label": "Ceph RBD for images (Glance)", "type": "checkbox"}, "metadata": {"weight": 60, "label": "Storage"}}, "access": {"user": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid username"}, "description": "Username for Administrator", "weight": 10, "value": "admin", "label": "username", "type": "text"}, "password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}, "tenant": {"regex": {"source": "^(?!services$)(?!nova$)(?!glance$)(?!keystone$)(?!neutron$)(?!cinder$)(?!swift$)(?!ceph$)(?![Gg]uest$).*", "error": "Invalid tenant name"}, "description": "Tenant (project) name for Administrator", "weight": 30, "value": "admin", "label": "tenant", "type": "text"}, "metadata": {"weight": 10, "label": "Access"}}, "kernel_params": {"kernel": {"value": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "type": "text", "description": "Default kernel parameters", "weight": 45, "label": "Initial parameters"}, "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": {"weight": 10, "type": "text", "description": "Username for Zabbix Administrator", "value": "admin", "label": "username"}, "password": {"weight": 20, "type": "password", "description": "Password for Zabbix Administrator", "value": "zabbix", "label": "password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}}, "nsx_plugin": {"nsx_password": {"regex": {"source": "\\\\S", "error": "Empty password"}, "description": "Password for Administrator", "weight": 30, "value": "", "label": "NSX password", "type": "password"}, "nsx_username": {"regex": {"source": "\\\\S", "error": "Empty username"}, "description": "NSX administrator's username", "weight": 20, "value": "admin", "label": "NSX username", "type": "text"}, "connector_type": {"description": "Default network transport type to use", "weight": 80, "value": "stt", "label": "NSX connector type", "values": [{"data": "gre", "label": "GRE"}, {"data": "ipsec_gre", "label": "GRE over IPSec"}, {"data": "stt", "label": "STT"}, {"data": "ipsec_stt", "label": "STT over IPSec"}, {"data": "bridge", "label": "Bridge"}], "type": "dropdown"}, "packages_url": {"regex": {"source": "^https?://(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(/.*)?$", "error": "Invalid URL, specify valid HTTP/HTTPS URL with IPv4 address (e.g. http://10.20.0.2/nsx)"}, "description": "URL to NSX specific packages", "weight": 70, "value": "", "label": "URL to NSX bits", "type": "text"}, "nsx_controllers": {"regex": {"source": "^(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?(,(([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])\\\\.){3}([\\\\d]|[1-9][\\\\d]|1[\\\\d]{2}|2[0-4][\\\\d]|25[0-5])(:(6553[0-5]|655[0-2][\\\\d]|65[0-4][\\\\d]{2}|6[0-4][\\\\d]{3}|5[\\\\d]{4}|[\\\\d][\\\\d]{0,3}))?)*$", "error": "Invalid controller endpoints, specify valid IPv4[:port] pair"}, "description": "One or more IPv4[:port] addresses of NSX controller node, separated by comma (e.g. 10.30.30.2,192.168.110.254:443)", "weight": 60, "value": "", "label": "NSX controller endpoint", "type": "text"}, "l3_gw_service_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid L3 gateway service UUID"}, "description": "UUID for the default L3 gateway service to use with this cluster", "weight": 50, "value": "", "label": "L3 service UUID", "type": "text"}, "transport_zone_uuid": {"regex": {"source": "[a-f\\\\d]{8}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{4}-[a-f\\\\d]{12}", "error": "Invalid transport zone UUID"}, "description": "UUID of the pre-existing default NSX Transport zone", "weight": 40, "value": "", "label": "Transport zone UUID", "type": "text"}, "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "neutron_mellanox": {"vf_num": {"restrictions": ["settings:neutron_mellanox.plugin.value != 'ethernet'"], "description": "Note that one virtual function will be reserved to the storage network, in case of choosing iSER.", "weight": 70, "value": "16", "label": "Number of virtual NICs", "type": "text"}, "metadata": {"enabled": true, "toggleable": false, "weight": 50, "label": "Mellanox Neutron components"}, "plugin": {"type": "radio", "values": [{"restrictions": ["settings:storage.iser.value == true"], "data": "disabled", "description": "If selected, Mellanox drivers, Neutron and Cinder plugin will not be installed.", "label": "Mellanox drivers and plugins disabled"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm'"], "data": "drivers_only", "description": "If selected, Mellanox Ethernet drivers will be installed to support networking over Mellanox NIC. Mellanox Neutron plugin will not be installed.", "label": "Install only Mellanox drivers"}, {"restrictions": ["settings:common.libvirt_type.value != 'kvm' or not (cluster:net_provider == 'neutron' and networking_parameters:segmentation_type? == 'vlan')"], "data": "ethernet", "description": "If selected, both Mellanox Ethernet drivers and Mellanox network acceleration (Neutron) plugin will be installed.", "label": "Install Mellanox drivers and SR-IOV plugin"}], "value": "disabled", "weight": 60, "label": "Mellanox drivers and SR-IOV plugin"}}, "vcenter": {"use_vcenter": {"weight": 5, "type": "hidden", "description": "", "value": true, "label": ""}, "vc_user": {"weight": 20, "type": "text", "description": "vCenter admin username", "value": "", "label": "Username"}, "host_ip": {"weight": 10, "type": "text", "description": "IP Address of vCenter", "value": "", "label": "vCenter IP"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "Invalid cluster list"}, "description": "vCenter cluster name. If you have multiple clusters, use comma to separate names", "weight": 40, "value": "", "label": "Cluster", "type": "text"}, "vc_password": {"weight": 30, "type": "password", "description": "vCenter admin password", "value": "", "label": "Password"}, "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "corosync": {"verified": {"weight": 10, "type": "checkbox", "description": "Set True only if multicast is configured correctly on router.", "value": false, "label": "Need to pass network verification."}, "group": {"weight": 10, "type": "text", "description": "", "value": "226.94.1.1", "label": "Group"}, "port": {"weight": 20, "type": "text", "description": "", "value": "12000", "label": "Port"}, "metadata": {"weight": 50, "label": "Corosync"}}, "common": {"auto_assign_floating_ip": {"restrictions": ["cluster:net_provider == 'neutron'"], "description": "If selected, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "value": false, "label": "Auto assign floating IP", "type": "checkbox"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's disabled, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"restrictions": ["settings:common.libvirt_type.value == 'vcenter'"], "data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}, {"restrictions": ["settings:common.libvirt_type.value != 'vcenter' or cluster:net_provider == 'neutron'"], "data": "vcenter", "description": "Choose this type of hypervisor if you run OpenStack in a vCenter environment.", "label": "vCenter"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}, "nova_quota": {"weight": 25, "type": "checkbox", "description": "Quotas are used to limit CPU and memory usage for tenants. Enabling quotas will increase load on the Nova database.", "value": false, "label": "Nova quotas"}, "metadata": {"weight": 30, "label": "Common"}}}}	{"volumes_roles_mapping": {"compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "mongo": [{"id": "os", "allocate_size": "min"}, {"id": "mongo", "allocate_size": "all"}], "zabbix-server": [{"id": "os", "allocate_size": "min"}, {"id": "mysql", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_mongo_size"}, "type": "vg", "id": "mongo", "volumes": [{"mount": "/var/lib/mongo", "type": "lv", "name": "mongodb", "file_system": "ext4", "size": {"generator_args": ["mongo"], "generator": "calc_total_vg"}}], "label": "MongoDB"}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_mysql_size"}, "type": "vg", "id": "mysql", "volumes": [{"mount": "/var/lib/mysql", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator_args": ["mysql"], "generator": "calc_total_vg"}}], "label": "Mysql Database"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration Deploys OpenStack ready for high availability (HA). Controller services are prepared for HA by setting up a base MySQL/Galera, RabbitMQ and HAProxy so that additional controllers can be deployed NOW, or scaled out LATER. 3 or more controllers are required for a true HA environment."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"compute": {"name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "mongo": {"conflicts": ["compute", "ceph-osd"], "depends": [{"warning": "Ceilometer should be enabled", "condition": "settings:additional_components.ceilometer.value == true"}], "name": "Telemetry - MongoDB", "description": "A feature-complete and recommended database for storage of metering data from OpenStack Telemetry (Ceilometer)."}, "zabbix-server": {"conflicts": ["controller", "compute", "cinder", "ceph-osd", "mongo"], "depends": [{"action": "hide", "condition": "'experimental' in version:feature_groups"}], "name": "Zabbix Server", "description": "Zabbix monitoring system server."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "cinder": {"name": "Storage - Cinder LVM", "description": "Cinder LVM provides block storage over iSCSI. Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level devices."}, "ceph-osd": {"name": "Storage - Ceph OSD", "description": "Ceph storage can be configured to provide storage for block volumes (Cinder), images (Glance) and ephemeral instance storage (Nova). It can also provide object storage through the S3 and Swift API (See settings to enable each)."}}	[]	{"Compute": {"hypervisor": {"bind": "settings:common.libvirt_type.value", "values": [{"data": "kvm", "description": "dialog.create_cluster_wizard.compute.kvm_description", "label": "dialog.create_cluster_wizard.compute.kvm"}, {"data": "qemu", "description": "dialog.create_cluster_wizard.compute.qemu_description", "label": "dialog.create_cluster_wizard.compute.qemu"}, {"data": "vcenter", "description": "dialog.create_cluster_wizard.compute.vcenter_description", "label": "dialog.create_cluster_wizard.compute.vcenter"}], "weight": 5, "value": "qemu", "type": "radio"}, "vc_user": {"regex": {"source": "\\\\S", "error": "dialog.create_cluster_wizard.compute.vcenter_user_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_username_description", "weight": 20, "bind": "settings:vcenter.vc_user.value", "label": "dialog.create_cluster_wizard.compute.vcenter_username", "type": "text"}, "vc_password": {"regex": {"source": "\\\\S", "error": "dialog.create_cluster_wizard.compute.vcenter_password_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_password_description", "weight": 30, "bind": "settings:vcenter.vc_password.value", "label": "dialog.create_cluster_wizard.compute.vcenter_password", "type": "password"}, "host_ip": {"regex": {"source": "^(([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\\\.){3}([0-9]|[1-9][0-9]|1[0-9]{2}|2[0-4][0-9]|25[0-5])$", "error": "dialog.create_cluster_wizard.compute.vcenter_ip_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_ip_description", "weight": 10, "bind": "settings:vcenter.host_ip.value", "label": "dialog.create_cluster_wizard.compute.vcenter_ip", "type": "text"}, "cluster": {"regex": {"source": "^([^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)(,[^,\\\\ ]+([\\\\ ]*[^,\\\\ ])*)*$", "error": "dialog.create_cluster_wizard.compute.vcenter_cluster_warning"}, "restrictions": [{"action": "hide", "message": null, "condition": "Compute.hypervisor != 'vcenter'"}], "description": "dialog.create_cluster_wizard.compute.vcenter_cluster_description", "weight": 40, "bind": "settings:vcenter.cluster.value", "label": "dialog.create_cluster_wizard.compute.vcenter_cluster", "type": "text"}}, "Network": {"manager": {"values": [{"bind": [{"cluster:net_provider": "nova_network"}], "data": "nova-network", "label": "dialog.create_cluster_wizard.network.nova_network"}, {"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "gre"}], "data": "neutron-gre", "label": "dialog.create_cluster_wizard.network.neutr_gre"}, {"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_segment_type": "vlan"}], "data": "neutron-vlan", "label": "dialog.create_cluster_wizard.network.neutr_vlan"}, {"restrictions": [{"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.network.hypervisor_alert"}], "bind": [{"cluster:net_provider": "neutron"}, {"cluster:net_l23_provider": "nsx"}, {"cluster:net_segment_type": "gre"}, {"settings:nsx_plugin.metadata.enabled": true}], "data": "neutron-nsx", "label": "dialog.create_cluster_wizard.network.neutr_nsx"}], "type": "radio"}}, "Storage": {"cinder": {"values": [{"bind": [{"settings:storage.volumes_lvm.value": true}], "data": "default", "label": "dialog.create_cluster_wizard.storage.default"}, {"restrictions": [{"not ('ceph-osd' in NameAndRelease.release_roles)": "dialog.create_cluster_wizard.storage.alert"}, {"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.storage.cinder_vcenter_alert"}], "bind": [{"settings:storage.volumes_ceph.value": true}, {"settings:storage.volumes_lvm.value": false}], "data": "ceph", "label": "dialog.create_cluster_wizard.storage.ceph"}], "type": "radio"}, "glance": {"values": [{"data": "default", "label": "dialog.create_cluster_wizard.storage.default"}, {"restrictions": [{"not ('ceph-osd' in NameAndRelease.release_roles)": "dialog.create_cluster_wizard.storage.alert"}, {"Compute.hypervisor == 'vcenter'": "dialog.create_cluster_wizard.storage.glance_vcenter_alert"}], "bind": [{"settings:storage.images_ceph.value": true}], "data": "ceph", "label": "dialog.create_cluster_wizard.storage.ceph"}], "type": "radio"}}, "AdditionalServices": {"murano": {"restrictions": [{"Network.manager == 'nova-network'": "dialog.create_cluster_wizard.additional.network_mode_alert"}], "description": "dialog.create_cluster_wizard.additional.install_murano_description", "weight": 20, "bind": "settings:additional_components.murano.value", "label": "dialog.create_cluster_wizard.additional.install_murano", "type": "checkbox"}, "ceilometer": {"bind": "settings:additional_components.ceilometer.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_ceilometer_description", "weight": 30, "label": "dialog.create_cluster_wizard.additional.install_ceilometer"}, "sahara": {"bind": "settings:additional_components.sahara.value", "type": "checkbox", "description": "dialog.create_cluster_wizard.additional.install_sahara_description", "weight": 10, "label": "dialog.create_cluster_wizard.additional.install_sahara"}}, "Mode": {"mode": {"bind": "cluster:mode", "values": [{"data": "ha_compact", "label": "cluster.mode.ha_compact"}, {"data": "multinode", "label": "cluster.mode.multinode"}], "type": "radio"}}, "Ready": {}}
\.


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 2, true);


--
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY roles (id, release_id, name) FROM stdin;
1	1	controller
2	1	compute
3	1	cinder
4	1	ceph-osd
5	1	mongo
6	1	zabbix-server
7	2	controller
8	2	compute
9	2	cinder
10	2	ceph-osd
11	2	mongo
12	2	zabbix-server
\.


--
-- Name: roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('roles_id_seq', 12, true);


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
16	1	464dd0ea-dcb3-4a2a-9e94-08c9eec029ce	provision	\N	ready	100	{"args": {"task_uuid": "464dd0ea-dcb3-4a2a-9e94-08c9eec029ce", "provisioning_info": {"engine": {"url": "http://10.20.0.2:80/cobbler_api", "username": "cobbler", "password": "j57MzMLO", "master_ip": "10.20.0.2"}, "nodes": [{"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "1", "interfaces": {"eth3": {"static": "0", "mac_address": "00:25:90:eb:de:91"}, "eth2": {"ip_address": "10.20.0.3", "dns_name": "node-1.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:eb:de:90"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c1:d3"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c1:d2"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c1:d2_eth0,00:25:90:e9:c1:d3_eth1,00:25:90:eb:de:90_eth2,00:25:90:eb:de:91_eth3", "netcfg/choose_interface": "00:25:90:eb:de:90"}, "power_address": "10.20.0.139", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b957126", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408400UW080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408400UW080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x50014ee601dc01e2", "disk/by-id/scsi-SATA_WDC_WD7500BPKT-_WD-WX11E91HM567", "disk/by-id/ata-WDC_WD7500BPKT-00PK4T0_WD-WX11E91HM567"], "free_space": 714776, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 714776}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 715404}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 43947, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-1", "hostname": "node-1.domain.tld", "slave_name": "node-1", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "2", "interfaces": {"eth3": {"static": "0", "mac_address": "0c:c4:7a:1d:87:cb"}, "eth2": {"ip_address": "10.20.0.4", "dns_name": "node-2.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "0c:c4:7a:1d:87:ca"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c1:99"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c1:98"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c1:98_eth0,00:25:90:e9:c1:99_eth1,0c:c4:7a:1d:87:ca_eth2,0c:c4:7a:1d:87:cb_eth3", "netcfg/choose_interface": "0c:c4:7a:1d:87:ca"}, "power_address": "10.20.0.229", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b955364", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408200XF080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408200XF080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50065ed258e", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1APXM", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1APXM"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-2", "hostname": "node-2.domain.tld", "slave_name": "node-2", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "3", "interfaces": {"eth3": {"static": "0", "mac_address": "0c:c4:7a:1d:91:b5"}, "eth2": {"ip_address": "10.20.0.5", "dns_name": "node-3.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "0c:c4:7a:1d:91:b4"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:bf:d3"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:bf:d2"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:bf:d2_eth0,00:25:90:e9:bf:d3_eth1,0c:c4:7a:1d:91:b4_eth2,0c:c4:7a:1d:91:b5_eth3", "netcfg/choose_interface": "0c:c4:7a:1d:91:b4"}, "power_address": "10.20.0.252", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b942d66", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL4066001T080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL4066001T080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064e16328", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0QEDT", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0QEDT"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-3", "hostname": "node-3.domain.tld", "slave_name": "node-3", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "4", "interfaces": {"eth3": {"static": "0", "mac_address": "00:25:90:eb:d8:07"}, "eth2": {"ip_address": "10.20.0.6", "dns_name": "node-4.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:eb:d8:06"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:bf:dd"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:bf:dc"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:bf:dc_eth0,00:25:90:e9:bf:dd_eth1,00:25:90:eb:d8:06_eth2,00:25:90:eb:d8:07_eth3", "netcfg/choose_interface": "00:25:90:eb:d8:06"}, "power_address": "10.20.0.228", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b993b52", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411400EQ080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411400EQ080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064dbb45d", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0PPCG", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0PPCG"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-4", "hostname": "node-4.domain.tld", "slave_name": "node-4", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "5", "interfaces": {"eth3": {"static": "0", "mac_address": "00:25:90:eb:de:89"}, "eth2": {"ip_address": "10.20.0.7", "dns_name": "node-5.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:eb:de:88"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c2:3b"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c2:3a"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c2:3a_eth0,00:25:90:e9:c2:3b_eth1,00:25:90:eb:de:88_eth2,00:25:90:eb:de:89_eth3", "netcfg/choose_interface": "00:25:90:eb:de:88"}, "power_address": "10.20.0.131", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b99395d", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL4114005B080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL4114005B080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c5006678b539", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1PDGE", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1PDGE"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-5", "hostname": "node-5.domain.tld", "slave_name": "node-5", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "6", "interfaces": {"eth3": {"static": "0", "mac_address": "0c:c4:7a:1d:8e:bd"}, "eth2": {"ip_address": "10.20.0.8", "dns_name": "node-6.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "0c:c4:7a:1d:8e:bc"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c5:51"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c5:50"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c5:50_eth0,00:25:90:e9:c5:51_eth1,0c:c4:7a:1d:8e:bc_eth2,0c:c4:7a:1d:8e:bd_eth3", "netcfg/choose_interface": "0c:c4:7a:1d:8e:bc"}, "power_address": "10.20.0.183", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b9554f4", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL40820197080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL40820197080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c5006678b1f5", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1PDQK", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1PDQK"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-6", "hostname": "node-6.domain.tld", "slave_name": "node-6", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "7", "interfaces": {"eth3": {"static": "0", "mac_address": "00:25:90:eb:dc:67"}, "eth2": {"ip_address": "10.20.0.9", "dns_name": "node-7.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:eb:dc:66"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c1:df"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c1:de"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c1:de_eth0,00:25:90:e9:c1:df_eth1,00:25:90:eb:dc:66_eth2,00:25:90:eb:dc:67_eth3", "netcfg/choose_interface": "00:25:90:eb:dc:66"}, "power_address": "10.20.0.215", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b993476", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411302C7080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411302C7080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c500667487ab", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1NKJR", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1NKJR"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-7", "hostname": "node-7.domain.tld", "slave_name": "node-7", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "8", "interfaces": {"eth3": {"static": "0", "mac_address": "00:25:90:eb:de:8f"}, "eth2": {"ip_address": "10.20.0.10", "dns_name": "node-8.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:eb:de:8e"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c5:57"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c5:56"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c5:56_eth0,00:25:90:e9:c5:57_eth1,00:25:90:eb:de:8e_eth2,00:25:90:eb:de:8f_eth3", "netcfg/choose_interface": "00:25:90:eb:de:8e"}, "power_address": "10.20.0.137", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b994552", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411401U9080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411401U9080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x50014ee657312e12", "disk/by-id/scsi-SATA_WDC_WD7500BPKT-_WD-WX61A81R0766", "disk/by-id/ata-WDC_WD7500BPKT-00PK4T0_WD-WX61A81R0766"], "free_space": 714776, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 714776}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 715404}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 43947, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-8", "hostname": "node-8.domain.tld", "slave_name": "node-8", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "9", "interfaces": {"eth3": {"static": "0", "mac_address": "0c:c4:7a:1d:93:45"}, "eth2": {"ip_address": "10.20.0.11", "dns_name": "node-9.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "0c:c4:7a:1d:93:44"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c7:57"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c7:56"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c7:56_eth0,00:25:90:e9:c7:57_eth1,0c:c4:7a:1d:93:44_eth2,0c:c4:7a:1d:93:45_eth3", "netcfg/choose_interface": "0c:c4:7a:1d:93:44"}, "power_address": "10.20.0.149", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b955650", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408201K5080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408201K5080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x50014ee657312a35", "disk/by-id/scsi-SATA_WDC_WD7500BPKT-_WD-WX11E91HM361", "disk/by-id/ata-WDC_WD7500BPKT-00PK4T0_WD-WX11E91HM361"], "free_space": 714776, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 714776}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 715404}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 43947, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-9", "hostname": "node-9.domain.tld", "slave_name": "node-9", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "10", "interfaces": {"eth3": {"static": "0", "mac_address": "00:25:90:eb:de:99"}, "eth2": {"ip_address": "10.20.0.12", "dns_name": "node-10.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:eb:de:98"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c1:e1"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c1:e0"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c1:e0_eth0,00:25:90:e9:c1:e1_eth1,00:25:90:eb:de:98_eth2,00:25:90:eb:de:99_eth3", "netcfg/choose_interface": "00:25:90:eb:de:98"}, "power_address": "10.20.0.147", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b95558d", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408201DQ080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408201DQ080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c5006674709b", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1NKZK", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1NKZK"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-10", "hostname": "node-10.domain.tld", "slave_name": "node-10", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "11", "interfaces": {"eth3": {"static": "0", "mac_address": "00:25:90:eb:de:93"}, "eth2": {"ip_address": "10.20.0.13", "dns_name": "node-11.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:eb:de:92"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c4:67"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c4:66"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c4:66_eth0,00:25:90:e9:c4:67_eth1,00:25:90:eb:de:92_eth2,00:25:90:eb:de:93_eth3", "netcfg/choose_interface": "00:25:90:eb:de:92"}, "power_address": "10.20.0.141", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b994592", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411401V9080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411401V9080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c5006679f17e", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1P740", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1P740"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-11", "hostname": "node-11.domain.tld", "slave_name": "node-11", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "12", "interfaces": {"eth3": {"static": "0", "mac_address": "0c:c4:7a:1d:91:9b"}, "eth2": {"ip_address": "10.20.0.14", "dns_name": "node-12.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "0c:c4:7a:1d:91:9a"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c0:3b"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c0:3a"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c0:3a_eth0,00:25:90:e9:c0:3b_eth1,0c:c4:7a:1d:91:9a_eth2,0c:c4:7a:1d:91:9b_eth3", "netcfg/choose_interface": "0c:c4:7a:1d:91:9a"}, "power_address": "10.20.0.226", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b994cf1", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411402HG080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411402HG080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064e003ed", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0P2XA", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0P2XA"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-12", "hostname": "node-12.domain.tld", "slave_name": "node-12", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "13", "interfaces": {"eth3": {"static": "0", "mac_address": "0c:c4:7a:1d:97:7d"}, "eth2": {"ip_address": "10.20.0.15", "dns_name": "node-13.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "0c:c4:7a:1d:97:7c"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c5:53"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c5:52"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c5:52_eth0,00:25:90:e9:c5:53_eth1,0c:c4:7a:1d:97:7c_eth2,0c:c4:7a:1d:97:7d_eth3", "netcfg/choose_interface": "0c:c4:7a:1d:97:7c"}, "power_address": "10.20.0.223", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b943e93", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL406601UP080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL406601UP080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064e10311", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0PWXQ", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0PWXQ"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-13", "hostname": "node-13.domain.tld", "slave_name": "node-13", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "14", "interfaces": {"eth3": {"static": "0", "mac_address": "00:25:90:eb:e9:5f"}, "eth2": {"ip_address": "10.20.0.16", "dns_name": "node-14.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:eb:e9:5e"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c1:21"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c1:20"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c1:20_eth0,00:25:90:e9:c1:21_eth1,00:25:90:eb:e9:5e_eth2,00:25:90:eb:e9:5f_eth3", "netcfg/choose_interface": "00:25:90:eb:e9:5e"}, "power_address": "10.20.0.202", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b99373c", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411302QM080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411302QM080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50066756a12", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1P42K", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1P42K"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-14", "hostname": "node-14.domain.tld", "slave_name": "node-14", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "15", "interfaces": {"eth3": {"static": "0", "mac_address": "00:25:90:eb:d7:ef"}, "eth2": {"ip_address": "10.20.0.17", "dns_name": "node-15.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:eb:d7:ee"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c4:6f"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c4:6e"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c4:6e_eth0,00:25:90:e9:c4:6f_eth1,00:25:90:eb:d7:ee_eth2,00:25:90:eb:d7:ef_eth3", "netcfg/choose_interface": "00:25:90:eb:d7:ee"}, "power_address": "10.20.0.138", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b647218", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0BTWL421306RY080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_BTWL421306RY080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50050b4b79b", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W04LJ6", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W04LJ6"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-15", "hostname": "node-15.domain.tld", "slave_name": "node-15", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "16", "interfaces": {"eth3": {"static": "0", "mac_address": "0c:c4:7a:1d:90:e5"}, "eth2": {"ip_address": "10.20.0.18", "dns_name": "node-16.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "0c:c4:7a:1d:90:e4"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c1:55"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c1:54"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c1:54_eth0,00:25:90:e9:c1:55_eth1,0c:c4:7a:1d:90:e4_eth2,0c:c4:7a:1d:90:e5_eth3", "netcfg/choose_interface": "0c:c4:7a:1d:90:e4"}, "power_address": "10.20.0.232", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b993bbf", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL411400H8080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL411400H8080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50065ed2a52", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1AP7V", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1AP7V"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-16", "hostname": "node-16.domain.tld", "slave_name": "node-16", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "17", "interfaces": {"eth3": {"static": "0", "mac_address": "00:25:90:eb:de:8d"}, "eth2": {"ip_address": "10.20.0.19", "dns_name": "node-17.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:eb:de:8c"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c7:0b"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c7:0a"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c7:0a_eth0,00:25:90:e9:c7:0b_eth1,00:25:90:eb:de:8c_eth2,00:25:90:eb:de:8d_eth3", "netcfg/choose_interface": "00:25:90:eb:de:8c"}, "power_address": "10.20.0.135", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b9827e6", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL410500DC080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL410500DC080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50065e292bd", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W19GWY", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W19GWY"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-17", "hostname": "node-17.domain.tld", "slave_name": "node-17", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "18", "interfaces": {"eth3": {"static": "0", "mac_address": "0c:c4:7a:1d:95:7b"}, "eth2": {"ip_address": "10.20.0.20", "dns_name": "node-18.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "0c:c4:7a:1d:95:7a"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c1:a3"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c1:a2"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c1:a2_eth0,00:25:90:e9:c1:a3_eth1,0c:c4:7a:1d:95:7a_eth2,0c:c4:7a:1d:95:7b_eth3", "netcfg/choose_interface": "0c:c4:7a:1d:95:7a"}, "power_address": "10.20.0.212", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b9553ca", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL4082010F080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL4082010F080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c500667472ac", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W1NJV4", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W1NJV4"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-18", "hostname": "node-18.domain.tld", "slave_name": "node-18", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "19", "interfaces": {"eth3": {"static": "0", "mac_address": "0c:c4:7a:1d:90:f5"}, "eth2": {"ip_address": "10.20.0.21", "dns_name": "node-19.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "0c:c4:7a:1d:90:f4"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:c4:77"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:c4:76"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:c4:76_eth0,00:25:90:e9:c4:77_eth1,0c:c4:7a:1d:90:f4_eth2,0c:c4:7a:1d:90:f5_eth3", "netcfg/choose_interface": "0c:c4:7a:1d:90:f4"}, "power_address": "10.20.0.248", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b9933a5", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL41130289080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL41130289080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50064e0bf8b", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W0PXY5", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W0PXY5"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-19", "hostname": "node-19.domain.tld", "slave_name": "node-19", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"domain.tld\\"", "uid": "20", "interfaces": {"eth3": {"static": "0", "mac_address": "00:25:90:eb:d8:25"}, "eth2": {"ip_address": "10.20.0.22", "dns_name": "node-20.domain.tld", "netmask": "255.255.255.0", "static": "0", "mac_address": "00:25:90:eb:d8:24"}, "eth1": {"static": "0", "mac_address": "00:25:90:e9:bf:cb"}, "eth0": {"static": "0", "mac_address": "00:25:90:e9:bf:ca"}}, "interfaces_extra": {"eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "yes", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "no", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "00:25:90:e9:bf:ca_eth0,00:25:90:e9:bf:cb_eth1,00:25:90:eb:d8:24_eth2,00:25:90:eb:d8:25_eth3", "netcfg/choose_interface": "00:25:90:eb:d8:24"}, "power_address": "10.20.0.132", "name_servers": "\\"10.20.0.2\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mlnx_iser_enabled": false, "mco_pskey": "unset", "mco_user": "mcollective", "puppet_enable": 0, "fuel_version": "5.1", "install_log_2_syslog": 1, "mco_password": "DVodp7Rg", "puppet_auto_setup": 1, "puppet_master": "fuel.domain.tld", "mco_auto_setup": 1, "auth_key": "\\"\\"", "pm_data": {"kernel_params": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "ks_spaces": [{"name": "sda", "extra": ["disk/by-id/wwn-0x55cd2e404b955739", "disk/by-id/scsi-SATA_INTEL_SSDSC2BB0CVWL408201QB080KGN", "disk/by-id/ata-INTEL_SSDSC2BB080G4_CVWL408201QB080KGN"], "free_space": 75691, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}, {"size": 31808, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"size": 44011, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "sda", "size": 76319}, {"name": "sdb", "extra": ["disk/by-id/wwn-0x5000c50050b41c4d", "disk/by-id/scsi-SATA_ST1000NM0033-9Z_Z1W04QR4", "disk/by-id/ata-ST1000NM0033-9ZM173_Z1W04QR4"], "free_space": 953241, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "disk_label": null, "type": "partition", "file_system": "none", "size": 953241}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:1f.2-scsi-0:0:0:0", "size": 953869}, {"_allocate_size": "min", "label": "Base System", "min_size": 31744, "volumes": [{"mount": "/", "size": 15360, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 16384, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 43947, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}]}, "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "mlnx_plugin_mode": "disabled", "mco_connector": "rabbitmq", "mlnx_vf_num": "16", "mco_host": "10.20.0.2"}, "name": "node-20", "hostname": "node-20.domain.tld", "slave_name": "node-20", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}, "respond_to": "provision_resp", "method": "provision", "api_version": "1.0"}	{}	13	0.400000000000000022
17	1	530c1656-414d-46fd-9131-f5d64f87a2e0	deployment	Deployment has failed. Error occurred while running method 'deploy'. Inspect Astute logs for the details	error	\N	{"args": {"task_uuid": "530c1656-414d-46fd-9131-f5d64f87a2e0", "deployment_info": [{"use_cow_images": true, "uid": "1", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.3/24"]}, "br-storage": {"IP": ["192.168.1.2/24"]}, "br-mgmt": {"IP": ["192.168.0.3/24"]}, "br-ex": {"IP": ["172.16.44.101/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-1.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "1", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 500, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "primary-controller", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.3/24"]}, "br-storage": {"IP": ["192.168.1.2/24"]}, "br-mgmt": {"IP": ["192.168.0.3/24"]}, "br-ex": {"IP": ["172.16.44.101/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-1.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "2", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.4/24"]}, "br-storage": {"IP": ["192.168.1.3/24"]}, "br-mgmt": {"IP": ["192.168.0.4/24"]}, "br-ex": {"IP": ["172.16.44.102/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-2.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "2", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.4/24"]}, "br-storage": {"IP": ["192.168.1.3/24"]}, "br-mgmt": {"IP": ["192.168.0.4/24"]}, "br-ex": {"IP": ["172.16.44.102/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-2.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "3", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.5/24"]}, "br-storage": {"IP": ["192.168.1.4/24"]}, "br-mgmt": {"IP": ["192.168.0.5/24"]}, "br-ex": {"IP": ["172.16.44.103/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-3.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "3", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.5/24"]}, "br-storage": {"IP": ["192.168.1.4/24"]}, "br-mgmt": {"IP": ["192.168.0.5/24"]}, "br-ex": {"IP": ["172.16.44.103/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-3.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "4", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.6/24"]}, "br-storage": {"IP": ["192.168.1.5/24"]}, "br-mgmt": {"IP": ["192.168.0.6/24"]}, "br-ex": {"IP": ["172.16.44.104/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-4.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "4", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.6/24"]}, "br-storage": {"IP": ["192.168.1.5/24"]}, "br-mgmt": {"IP": ["192.168.0.6/24"]}, "br-ex": {"IP": ["172.16.44.104/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-4.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "5", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.7/24"]}, "br-storage": {"IP": ["192.168.1.6/24"]}, "br-mgmt": {"IP": ["192.168.0.7/24"]}, "br-ex": {"IP": ["172.16.44.105/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-5.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "5", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.7/24"]}, "br-storage": {"IP": ["192.168.1.6/24"]}, "br-mgmt": {"IP": ["192.168.0.7/24"]}, "br-ex": {"IP": ["172.16.44.105/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-5.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "6", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.8/24"]}, "br-storage": {"IP": ["192.168.1.7/24"]}, "br-mgmt": {"IP": ["192.168.0.8/24"]}, "br-ex": {"IP": ["172.16.44.106/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-6.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "6", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.8/24"]}, "br-storage": {"IP": ["192.168.1.7/24"]}, "br-mgmt": {"IP": ["192.168.0.8/24"]}, "br-ex": {"IP": ["172.16.44.106/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-6.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "7", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.9/24"]}, "br-storage": {"IP": ["192.168.1.8/24"]}, "br-mgmt": {"IP": ["192.168.0.9/24"]}, "br-ex": {"IP": ["172.16.44.107/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-7.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "7", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.9/24"]}, "br-storage": {"IP": ["192.168.1.8/24"]}, "br-mgmt": {"IP": ["192.168.0.9/24"]}, "br-ex": {"IP": ["172.16.44.107/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-7.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "8", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.10/24"]}, "br-storage": {"IP": ["192.168.1.9/24"]}, "br-mgmt": {"IP": ["192.168.0.10/24"]}, "br-ex": {"IP": ["172.16.44.108/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-8.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "8", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 600, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "controller", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.10/24"]}, "br-storage": {"IP": ["192.168.1.9/24"]}, "br-mgmt": {"IP": ["192.168.0.10/24"]}, "br-ex": {"IP": ["172.16.44.108/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-8.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "9", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.11/24"]}, "br-storage": {"IP": ["192.168.1.10/24"]}, "br-mgmt": {"IP": ["192.168.0.11/24"]}, "br-ex": {"IP": ["172.16.44.109/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-9.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "9", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 600, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "controller", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.11/24"]}, "br-storage": {"IP": ["192.168.1.10/24"]}, "br-mgmt": {"IP": ["192.168.0.11/24"]}, "br-ex": {"IP": ["172.16.44.109/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-9.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "10", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.12/24"]}, "br-storage": {"IP": ["192.168.1.11/24"]}, "br-mgmt": {"IP": ["192.168.0.12/24"]}, "br-ex": {"IP": ["172.16.44.110/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-10.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "10", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.12/24"]}, "br-storage": {"IP": ["192.168.1.11/24"]}, "br-mgmt": {"IP": ["192.168.0.12/24"]}, "br-ex": {"IP": ["172.16.44.110/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-10.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "11", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.13/24"]}, "br-storage": {"IP": ["192.168.1.12/24"]}, "br-mgmt": {"IP": ["192.168.0.13/24"]}, "br-ex": {"IP": ["172.16.44.111/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-11.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "11", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.13/24"]}, "br-storage": {"IP": ["192.168.1.12/24"]}, "br-mgmt": {"IP": ["192.168.0.13/24"]}, "br-ex": {"IP": ["172.16.44.111/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-11.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "12", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.14/24"]}, "br-storage": {"IP": ["192.168.1.13/24"]}, "br-mgmt": {"IP": ["192.168.0.14/24"]}, "br-ex": {"IP": ["172.16.44.112/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-12.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "12", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.14/24"]}, "br-storage": {"IP": ["192.168.1.13/24"]}, "br-mgmt": {"IP": ["192.168.0.14/24"]}, "br-ex": {"IP": ["172.16.44.112/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-12.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "13", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.15/24"]}, "br-storage": {"IP": ["192.168.1.14/24"]}, "br-mgmt": {"IP": ["192.168.0.15/24"]}, "br-ex": {"IP": ["172.16.44.113/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-13.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "13", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.15/24"]}, "br-storage": {"IP": ["192.168.1.14/24"]}, "br-mgmt": {"IP": ["192.168.0.15/24"]}, "br-ex": {"IP": ["172.16.44.113/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-13.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "14", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.16/24"]}, "br-storage": {"IP": ["192.168.1.15/24"]}, "br-mgmt": {"IP": ["192.168.0.16/24"]}, "br-ex": {"IP": ["172.16.44.114/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-14.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "14", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.16/24"]}, "br-storage": {"IP": ["192.168.1.15/24"]}, "br-mgmt": {"IP": ["192.168.0.16/24"]}, "br-ex": {"IP": ["172.16.44.114/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-14.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "15", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.17/24"]}, "br-storage": {"IP": ["192.168.1.16/24"]}, "br-mgmt": {"IP": ["192.168.0.17/24"]}, "br-ex": {"IP": ["172.16.44.115/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-15.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "15", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.17/24"]}, "br-storage": {"IP": ["192.168.1.16/24"]}, "br-mgmt": {"IP": ["192.168.0.17/24"]}, "br-ex": {"IP": ["172.16.44.115/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-15.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "16", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.18/24"]}, "br-storage": {"IP": ["192.168.1.17/24"]}, "br-mgmt": {"IP": ["192.168.0.18/24"]}, "br-ex": {"IP": ["172.16.44.116/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-16.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "16", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.18/24"]}, "br-storage": {"IP": ["192.168.1.17/24"]}, "br-mgmt": {"IP": ["192.168.0.18/24"]}, "br-ex": {"IP": ["172.16.44.116/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-16.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "17", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.19/24"]}, "br-storage": {"IP": ["192.168.1.18/24"]}, "br-mgmt": {"IP": ["192.168.0.19/24"]}, "br-ex": {"IP": ["172.16.44.117/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-17.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "17", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.19/24"]}, "br-storage": {"IP": ["192.168.1.18/24"]}, "br-mgmt": {"IP": ["192.168.0.19/24"]}, "br-ex": {"IP": ["172.16.44.117/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-17.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "18", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.20/24"]}, "br-storage": {"IP": ["192.168.1.19/24"]}, "br-mgmt": {"IP": ["192.168.0.20/24"]}, "br-ex": {"IP": ["172.16.44.118/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-18.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "18", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.20/24"]}, "br-storage": {"IP": ["192.168.1.19/24"]}, "br-mgmt": {"IP": ["192.168.0.20/24"]}, "br-ex": {"IP": ["172.16.44.118/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-18.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "19", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.21/24"]}, "br-storage": {"IP": ["192.168.1.20/24"]}, "br-mgmt": {"IP": ["192.168.0.21/24"]}, "br-ex": {"IP": ["172.16.44.119/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-19.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "19", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.21/24"]}, "br-storage": {"IP": ["192.168.1.20/24"]}, "br-mgmt": {"IP": ["192.168.0.21/24"]}, "br-ex": {"IP": ["172.16.44.119/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-19.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "20", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": true, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.22/24"]}, "br-storage": {"IP": ["192.168.1.21/24"]}, "br-mgmt": {"IP": ["192.168.0.22/24"]}, "br-ex": {"IP": ["172.16.44.120/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-20.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}, {"use_cow_images": true, "uid": "20", "management_vip": "192.168.0.2", "public_vip": "172.16.44.100", "syslog": {"syslog_port": "514", "syslog_transport": "tcp", "syslog_server": "", "metadata": {"weight": 50, "label": "Syslog"}}, "libvirt_type": "kvm", "sahara": {"db_password": "SrgKjAID", "user_password": "DvsJGijQ", "enabled": false}, "nsx_plugin": {"nsx_password": "", "nsx_username": "admin", "connector_type": "stt", "packages_url": "", "nsx_controllers": "", "l3_gw_service_uuid": "", "transport_zone_uuid": "", "metadata": {"restrictions": [{"action": "hide", "condition": "cluster:net_provider != 'neutron' or networking_parameters:net_l23_provider? != 'nsx'"}], "enabled": false, "weight": 20, "label": "VMware NSX"}}, "mysql": {"root_password": "h9mvp8kL"}, "quantum": true, "glance": {"image_cache_max_size": "5368709120", "user_password": "mHAi3yDp", "db_password": "GNFYRlNe"}, "cinder": {"db_password": "ZdVUoQEj", "user_password": "RFhNrNgC"}, "quantum_settings": {"database": {"passwd": "NoHxdke9"}, "keystone": {"admin_password": "4MkUXgHb"}, "L3": {"use_namespaces": true}, "L2": {"phys_nets": {"physnet1": {"bridge": "br-ex", "vlan_range": null}}, "base_mac": "fa:16:3e:00:00:00", "segmentation_type": "gre", "tunnel_id_ranges": "2:65535"}, "predefined_networks": {"net04_ext": {"shared": false, "L2": {"network_type": "flat", "router_ext": true, "physnet": "physnet1", "segment_id": null}, "L3": {"nameservers": [], "subnet": "172.16.44.0/22", "floating": "172.16.44.127:172.16.44.150", "gateway": "172.16.44.1", "enable_dhcp": false}, "tenant": "admin"}, "net04": {"shared": false, "L2": {"network_type": "gre", "router_ext": false, "physnet": null, "segment_id": null}, "L3": {"nameservers": ["8.8.4.4", "8.8.8.8"], "subnet": "192.168.111.0/24", "floating": null, "gateway": "192.168.111.1", "enable_dhcp": true}, "tenant": "admin"}}, "metadata": {"metadata_proxy_shared_secret": "7YmxEKK8"}}, "openstack_version": "2014.1.1-5.1", "nova_quota": false, "puppet_modules_source": "rsync://10.20.0.2:/puppet/modules/", "storage": {"iser": false, "volumes_ceph": false, "objects_ceph": false, "ephemeral_ceph": false, "volumes_lvm": true, "volumes_vmdk": false, "pg_num": 1024, "osd_pool_size": "2", "images_ceph": false, "metadata": {"weight": 60, "label": "Storage"}}, "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "nova": {"db_password": "EqKJwtwE", "user_password": "8GYZWtZj", "state_path": "/var/lib/nova"}, "master_ip": "10.20.0.2", "priority": 700, "murano": {"db_password": "4RFdQb6K", "user_password": "AAYOi2Kb", "enabled": false, "rabbit_password": "nyj0icRJ"}, "role": "compute", "online": true, "keystone": {"db_password": "VNqae5Gr", "admin_token": "miP1CnjX"}, "vcenter": {"use_vcenter": true, "vc_user": "", "host_ip": "", "cluster": "", "vc_password": "", "metadata": {"restrictions": [{"action": "hide", "condition": "settings:common.libvirt_type.value != 'vcenter'"}], "weight": 20, "label": "vCenter"}}, "auto_assign_floating_ip": false, "corosync": {"group": "226.94.1.1", "verified": false, "port": "12000", "metadata": {"weight": 50, "label": "Corosync"}}, "metadata": {"weight": 30, "label": "Common"}, "status": "discover", "deployment_mode": "ha_compact", "fail_if_error": false, "puppet_manifests_source": "rsync://10.20.0.2:/puppet/manifests/", "network_scheme": {"transformations": [{"action": "add-br", "name": "br-eth0"}, {"action": "add-port", "bridge": "br-eth0", "name": "eth0"}, {"action": "add-br", "name": "br-eth1"}, {"action": "add-port", "bridge": "br-eth1", "name": "eth1"}, {"action": "add-br", "name": "br-eth2"}, {"action": "add-port", "bridge": "br-eth2", "name": "eth2"}, {"action": "add-br", "name": "br-eth3"}, {"action": "add-port", "bridge": "br-eth3", "name": "eth3"}, {"action": "add-br", "name": "br-ex"}, {"action": "add-br", "name": "br-mgmt"}, {"action": "add-br", "name": "br-storage"}, {"action": "add-br", "name": "br-fw-admin"}, {"action": "add-patch", "bridges": ["br-eth2", "br-storage"], "tags": [101, 0]}, {"action": "add-patch", "bridges": ["br-eth0", "br-ex"], "trunks": [0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-mgmt"], "tags": [100, 0]}, {"action": "add-patch", "bridges": ["br-eth2", "br-fw-admin"], "trunks": [0]}], "roles": {"management": "br-mgmt", "storage": "br-storage", "ex": "br-ex", "mesh": "br-mgmt", "fw-admin": "br-fw-admin"}, "interfaces": {"eth3": {"L2": {"vlan_splinters": "off"}}, "eth2": {"L2": {"vlan_splinters": "off"}}, "eth1": {"L2": {"vlan_splinters": "off"}}, "eth0": {"L2": {"vlan_splinters": "off"}}}, "version": "1.0", "provider": "ovs", "endpoints": {"br-fw-admin": {"IP": ["10.20.0.22/24"]}, "br-storage": {"IP": ["192.168.1.21/24"]}, "br-mgmt": {"IP": ["192.168.0.22/24"]}, "br-ex": {"IP": ["172.16.44.120/22"], "gateway": "172.16.44.1"}}}, "heat": {"db_password": "Wubn9zXS", "user_password": "r6h0w6mN", "enabled": true, "rabbit_password": "F8AN1FFS"}, "storage_network_range": "192.168.1.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "qKwSWl12"}, "ceilometer": {"db_password": "hy4HLuPI", "user_password": "CC8nCHhg", "metering_secret": "zXeAM47F", "enabled": false}, "management_network_range": "192.168.0.0/24", "nodes": [{"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "1", "uid": "1", "public_address": "172.16.44.101", "internal_netmask": "255.255.255.0", "fqdn": "node-1.domain.tld", "role": "primary-controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.3", "storage_address": "192.168.1.2", "storage_netmask": "255.255.255.0", "name": "node-1"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "2", "uid": "2", "public_address": "172.16.44.102", "internal_netmask": "255.255.255.0", "fqdn": "node-2.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.4", "storage_address": "192.168.1.3", "storage_netmask": "255.255.255.0", "name": "node-2"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "3", "uid": "3", "public_address": "172.16.44.103", "internal_netmask": "255.255.255.0", "fqdn": "node-3.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.5", "storage_address": "192.168.1.4", "storage_netmask": "255.255.255.0", "name": "node-3"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "4", "uid": "4", "public_address": "172.16.44.104", "internal_netmask": "255.255.255.0", "fqdn": "node-4.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.6", "storage_address": "192.168.1.5", "storage_netmask": "255.255.255.0", "name": "node-4"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "5", "uid": "5", "public_address": "172.16.44.105", "internal_netmask": "255.255.255.0", "fqdn": "node-5.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.7", "storage_address": "192.168.1.6", "storage_netmask": "255.255.255.0", "name": "node-5"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "6", "uid": "6", "public_address": "172.16.44.106", "internal_netmask": "255.255.255.0", "fqdn": "node-6.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.8", "storage_address": "192.168.1.7", "storage_netmask": "255.255.255.0", "name": "node-6"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "7", "uid": "7", "public_address": "172.16.44.107", "internal_netmask": "255.255.255.0", "fqdn": "node-7.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.9", "storage_address": "192.168.1.8", "storage_netmask": "255.255.255.0", "name": "node-7"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "8", "uid": "8", "public_address": "172.16.44.108", "internal_netmask": "255.255.255.0", "fqdn": "node-8.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.10", "storage_address": "192.168.1.9", "storage_netmask": "255.255.255.0", "name": "node-8"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "9", "uid": "9", "public_address": "172.16.44.109", "internal_netmask": "255.255.255.0", "fqdn": "node-9.domain.tld", "role": "controller", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.11", "storage_address": "192.168.1.10", "storage_netmask": "255.255.255.0", "name": "node-9"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "10", "uid": "10", "public_address": "172.16.44.110", "internal_netmask": "255.255.255.0", "fqdn": "node-10.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.12", "storage_address": "192.168.1.11", "storage_netmask": "255.255.255.0", "name": "node-10"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "11", "uid": "11", "public_address": "172.16.44.111", "internal_netmask": "255.255.255.0", "fqdn": "node-11.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.13", "storage_address": "192.168.1.12", "storage_netmask": "255.255.255.0", "name": "node-11"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "12", "uid": "12", "public_address": "172.16.44.112", "internal_netmask": "255.255.255.0", "fqdn": "node-12.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.14", "storage_address": "192.168.1.13", "storage_netmask": "255.255.255.0", "name": "node-12"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "13", "uid": "13", "public_address": "172.16.44.113", "internal_netmask": "255.255.255.0", "fqdn": "node-13.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.15", "storage_address": "192.168.1.14", "storage_netmask": "255.255.255.0", "name": "node-13"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "14", "uid": "14", "public_address": "172.16.44.114", "internal_netmask": "255.255.255.0", "fqdn": "node-14.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.16", "storage_address": "192.168.1.15", "storage_netmask": "255.255.255.0", "name": "node-14"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "15", "uid": "15", "public_address": "172.16.44.115", "internal_netmask": "255.255.255.0", "fqdn": "node-15.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.17", "storage_address": "192.168.1.16", "storage_netmask": "255.255.255.0", "name": "node-15"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "16", "uid": "16", "public_address": "172.16.44.116", "internal_netmask": "255.255.255.0", "fqdn": "node-16.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.18", "storage_address": "192.168.1.17", "storage_netmask": "255.255.255.0", "name": "node-16"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "17", "uid": "17", "public_address": "172.16.44.117", "internal_netmask": "255.255.255.0", "fqdn": "node-17.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.19", "storage_address": "192.168.1.18", "storage_netmask": "255.255.255.0", "name": "node-17"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "18", "uid": "18", "public_address": "172.16.44.118", "internal_netmask": "255.255.255.0", "fqdn": "node-18.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.20", "storage_address": "192.168.1.19", "storage_netmask": "255.255.255.0", "name": "node-18"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "19", "uid": "19", "public_address": "172.16.44.119", "internal_netmask": "255.255.255.0", "fqdn": "node-19.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.21", "storage_address": "192.168.1.20", "storage_netmask": "255.255.255.0", "name": "node-19"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "ceph-osd", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}, {"swift_zone": "20", "uid": "20", "public_address": "172.16.44.120", "internal_netmask": "255.255.255.0", "fqdn": "node-20.domain.tld", "role": "compute", "public_netmask": "255.255.252.0", "internal_address": "192.168.0.22", "storage_address": "192.168.1.21", "storage_netmask": "255.255.255.0", "name": "node-20"}], "base_syslog": {"syslog_port": "514", "syslog_server": "10.20.0.2"}, "test_vm_image": {"os_name": "cirros", "img_path": "/usr/share/cirros-testvm/cirros-x86_64-disk.img", "container_format": "bare", "min_ram": 64, "disk_format": "qcow2", "glance_properties": "--property murano_image_info='{\\"title\\": \\"Murano Demo\\", \\"type\\": \\"cirros.demo\\"}'", "img_name": "TestVM", "public": "true"}, "swift": {"user_password": "Bm1n4crF"}, "auth_key": "", "repo_metadata": {"nailgun": "http://10.20.0.2:8080/ubuntu/fuelweb/x86_64 precise main"}, "access": {"metadata": {"weight": 10, "label": "Access"}, "password": "admin", "email": "admin@example.org", "tenant": "admin", "user": "admin"}, "last_controller": "node-9", "fqdn": "node-20.domain.tld", "kernel_params": {"kernel": "console=ttyS0,9600 console=tty0 rootdelay=90 nomodeset", "metadata": {"weight": 40, "label": "Kernel parameters"}}, "zabbix": {"username": "admin", "db_password": "GPxCJ9yx", "password": "zabbix", "metadata": {"restrictions": [{"action": "hide", "condition": "not ('experimental' in version:feature_groups)"}], "weight": 70, "label": "Zabbix Access"}, "db_root_password": "32VWkK6i"}, "mp": [{"weight": "1", "point": "1"}, {"weight": "2", "point": "2"}], "neutron_mellanox": {"vf_num": "16", "plugin": "disabled", "metadata": {"enabled": true, "weight": 50, "toggleable": false, "label": "Mellanox Neutron components"}}, "debug": false, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "deployment_id": 1, "fuel_version": "5.1"}]}, "respond_to": "deploy_resp", "method": "deploy", "api_version": "1.0"}	{}	13	1
13	1	36081eab-c8ec-4e4f-8e2e-ddb15ffc7b9e	deploy	Deployment has failed. Error occurred while running method 'deploy'. Inspect Astute logs for the details	error	100	{}	{}	\N	1
18	\N	df59b0a5-788f-4c32-8571-9c3c359259bd	dump	\N	running	0	{"args": {"task_uuid": "df59b0a5-788f-4c32-8571-9c3c359259bd", "settings": {"timestamp": true, "lastdump": "/var/www/nailgun/dump/last", "target": "/var/www/nailgun/dump/fuel-snapshot", "dump": {"master": {"objects": [{"path": "/etc/nailgun", "type": "dir"}, {"path": "/etc/astute", "type": "dir"}, {"path": "/etc/fuel", "type": "dir"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "docker images", "to_file": "docker_images.txt", "type": "command"}, {"command": "docker ps", "to_file": "docker_ps.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/dnsmasq.conf", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/etc/cobbler*", "type": "file"}, {"path": "/var/log", "type": "dir"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "10.20.0.2"}]}, "local": {"objects": [{"username": "nailgun", "dbhost": "10.20.0.2", "password": "lyUoOlj9", "type": "postgres", "dbname": "nailgun"}, {"to_file": "cobbler.txt", "type": "xmlrpc", "methods": ["get_distros", "get_profiles", "get_systems"], "server": "http://10.20.0.2:80/cobbler_api"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "localhost"}]}, "slave": {"objects": [{"path": "/etc/astute.yaml", "type": "file"}, {"path": "/var/log/puppet.log", "type": "file"}, {"path": "/root/ceph*", "type": "file"}, {"path": "/root/anaconda*", "type": "file"}, {"path": "/root/*.log", "type": "file"}, {"path": "/root/*.ks", "type": "file"}, {"path": "/etc/ceph*", "type": "file"}, {"path": "/etc/keystone*", "type": "file"}, {"path": "/etc/nova*", "type": "file"}, {"path": "/etc/neutron*", "type": "file"}, {"path": "/etc/horizon*", "type": "file"}, {"path": "/etc/cinder*", "type": "file"}, {"path": "/etc/glance*", "type": "file"}, {"path": "/etc/swift*", "type": "file"}, {"path": "/etc/haproxy*", "type": "file"}, {"path": "/var/log/ceph", "type": "file"}, {"path": "/etc/resolv.conf", "type": "file"}, {"path": "/var/run/pcap_dir", "type": "dir"}, {"command": "df -h", "to_file": "df.txt", "type": "command"}, {"command": "mount", "to_file": "mount.txt", "type": "command"}, {"command": "iptables -t nat -S", "to_file": "iptables_nat.txt", "type": "command"}, {"command": "iptables -t filter -S", "to_file": "iptables_filter.txt", "type": "command"}, {"command": "dmidecode", "to_file": "dmidecode.txt", "type": "command"}, {"command": "uptime", "to_file": "uptime.txt", "type": "command"}, {"command": "ps auxwwf", "to_file": "ps.txt", "type": "command"}, {"command": "pvdisplay", "to_file": "lvm_pvdisplay.txt", "type": "command"}, {"command": "vgdisplay", "to_file": "lvm_vgdisplay.txt", "type": "command"}, {"command": "lvdisplay", "to_file": "lvm_lvdisplay.txt", "type": "command"}, {"command": "ip a", "to_file": "ip_a.txt", "type": "command"}, {"command": "ip r", "to_file": "ip_r.txt", "type": "command"}, {"command": "netstat -anp", "to_file": "netstat.txt", "type": "command"}, {"command": "brctl show", "to_file": "brctl_show.txt", "type": "command"}, {"path": "/etc/sysconfig/network-scripts", "type": "dir"}, {"path": "/etc/network/interfaces.d", "type": "dir"}, {"path": "/etc/network/interfaces", "type": "file"}, {"path": "/root/post-partition.log", "type": "file"}, {"command": "blkid -o list", "to_file": "blkid_o_list.txt", "type": "command"}, {"command": "ceph health", "to_file": "ceph_health.txt", "type": "command"}, {"command": "ceph -s", "to_file": "ceph_s.txt", "type": "command"}, {"command": "ceph osd tree", "to_file": "ceph_osd_tree.txt", "type": "command"}], "hosts": [{"ssh-key": "/root/.ssh/id_rsa", "address": "node-9.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-1.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-2.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-5.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-3.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-7.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-4.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-11.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-13.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-15.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-17.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-16.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-10.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-18.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-19.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-20.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-8.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-6.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-12.domain.tld"}, {"ssh-key": "/root/.ssh/id_rsa", "address": "node-14.domain.tld"}]}}}}, "respond_to": "dump_environment_resp", "method": "dump_environment", "api_version": "1.0"}	{}	\N	1
12	1	d50f2790-dd6c-4c0f-8ff6-c439ee1c162c	check_networks	\N	ready	100	{}	{}	\N	1
\.


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 18, true);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: net_bond_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_pkey PRIMARY KEY (id);


--
-- Name: net_nic_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: networking_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_pkey PRIMARY KEY (id);


--
-- Name: neutron_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_bond_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: nodes_uuid_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_uuid_key UNIQUE (uuid);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: nova_network_config_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_pkey PRIMARY KEY (id);


--
-- Name: pending_node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_pkey PRIMARY KEY (id);


--
-- Name: release_orchestrator_data_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY release_orchestrator_data
    ADD CONSTRAINT release_orchestrator_data_pkey PRIMARY KEY (id);


--
-- Name: releases_name_version_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_version_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: roles_name_release_id_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_name_release_id_key UNIQUE (name, release_id);


--
-- Name: roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: fk_pending_release_id; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT fk_pending_release_id FOREIGN KEY (pending_release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_bond_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_bond_id_fkey FOREIGN KEY (bond_id) REFERENCES node_bond_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_bond_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_bond_assignments
    ADD CONSTRAINT net_bond_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_nic_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_nic_assignments
    ADD CONSTRAINT net_nic_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networking_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networking_configs
    ADD CONSTRAINT networking_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE CASCADE;


--
-- Name: neutron_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_config
    ADD CONSTRAINT neutron_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id);


--
-- Name: node_bond_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_bond_interfaces
    ADD CONSTRAINT node_bond_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_nic_interfaces_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES node_bond_interfaces(id);


--
-- Name: node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: nova_network_config_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nova_network_config
    ADD CONSTRAINT nova_network_config_id_fkey FOREIGN KEY (id) REFERENCES networking_configs(id);


--
-- Name: pending_node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: pending_node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: release_orchestrator_data_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY release_orchestrator_data
    ADD CONSTRAINT release_orchestrator_data_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: roles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

